import{S as Eh,i as Rh,s as Fh,e as r,k as h,w,t as l,M as Ch,c as a,d as t,m as g,a as i,x,h as p,b as q,G as e,g as k,y as b,q as T,o as M,B as O,v as Sh,L as z}from"../../../chunks/vendor-hf-doc-builder.js";import{T as we}from"../../../chunks/Tip-hf-doc-builder.js";import{D as R}from"../../../chunks/Docstring-hf-doc-builder.js";import{C as P}from"../../../chunks/CodeBlock-hf-doc-builder.js";import{I as le}from"../../../chunks/IconCopyLink-hf-doc-builder.js";import{E as S}from"../../../chunks/ExampleCodeBlock-hf-doc-builder.js";function zh(j){let s,_,d,u,f;return{c(){s=r("p"),_=l("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=r("code"),u=l("Module"),f=l(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=a(n,"P",{});var m=i(s);_=p(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a(m,"CODE",{});var y=i(d);u=p(y,"Module"),y.forEach(t),f=p(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(t)},m(n,m){k(n,s,m),e(s,_),e(s,d),e(d,u),e(s,f)},d(n){n&&t(s)}}}function Ph(j){let s,_,d,u,f;return u=new P({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForCausalLM
import torch

tokenizer = AutoTokenizer.from_pretrained("optimum/gpt2")
model = ORTModelForCausalLM.from_pretrained("optimum/gpt2")

inputs = tokenizer("My name is Arthur and I live in", return_tensors="pt")

gen_tokens = model.generate(**inputs,do_sample=True,temperature=0.9, min_length=20,max_length=20)
tokenizer.batch_decode(gen_tokens)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForCausalLM
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/gpt2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForCausalLM.from_pretrained(<span class="hljs-string">&quot;optimum/gpt2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;My name is Arthur and I live in&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>gen_tokens = model.generate(**inputs,do_sample=<span class="hljs-literal">True</span>,temperature=<span class="hljs-number">0.9</span>, min_length=<span class="hljs-number">20</span>,max_length=<span class="hljs-number">20</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer.batch_decode(gen_tokens)`}}),{c(){s=r("p"),_=l("Example of text generation:"),d=h(),w(u.$$.fragment)},l(n){s=a(n,"P",{});var m=i(s);_=p(m,"Example of text generation:"),m.forEach(t),d=g(n),x(u.$$.fragment,n)},m(n,m){k(n,s,m),e(s,_),k(n,d,m),b(u,n,m),f=!0},p:z,i(n){f||(T(u.$$.fragment,n),f=!0)},o(n){M(u.$$.fragment,n),f=!1},d(n){n&&t(s),n&&t(d),O(u,n)}}}function Ah(j){let s,_,d,u,f,n,m,y;return m=new P({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForCausalLM

tokenizer = AutoTokenizer.from_pretrained("optimum/gpt2")
model = ORTModelForCausalLM.from_pretrained("optimum/gpt2")
onnx_gen = pipeline("text-generation", model=model, tokenizer=tokenizer)

text = "My name is Arthur and I live in"
gen = onnx_gen(text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForCausalLM

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/gpt2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForCausalLM.from_pretrained(<span class="hljs-string">&quot;optimum/gpt2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_gen = pipeline(<span class="hljs-string">&quot;text-generation&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;My name is Arthur and I live in&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>gen = onnx_gen(text)`}}),{c(){s=r("p"),_=l("Example using "),d=r("code"),u=l("transformers.pipelines"),f=l(":"),n=h(),w(m.$$.fragment)},l(c){s=a(c,"P",{});var v=i(s);_=p(v,"Example using "),d=a(v,"CODE",{});var E=i(d);u=p(E,"transformers.pipelines"),E.forEach(t),f=p(v,":"),v.forEach(t),n=g(c),x(m.$$.fragment,c)},m(c,v){k(c,s,v),e(s,_),e(s,d),e(d,u),e(s,f),k(c,n,v),b(m,c,v),y=!0},p:z,i(c){y||(T(m.$$.fragment,c),y=!0)},o(c){M(m.$$.fragment,c),y=!1},d(c){c&&t(s),c&&t(n),O(m,c)}}}function Nh(j){let s,_,d,u,f;return{c(){s=r("p"),_=l("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=r("code"),u=l("Module"),f=l(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=a(n,"P",{});var m=i(s);_=p(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a(m,"CODE",{});var y=i(d);u=p(y,"Module"),y.forEach(t),f=p(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(t)},m(n,m){k(n,s,m),e(s,_),e(s,d),e(d,u),e(s,f)},d(n){n&&t(s)}}}function Ih(j){let s,_,d,u,f,n,m,y;return m=new P({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForCustomTasks

tokenizer = AutoTokenizer.from_pretrained("optimum/sbert-all-MiniLM-L6-with-pooler")
model = ORTModelForCustomTasks.from_pretrained("optimum/sbert-all-MiniLM-L6-with-pooler")

inputs = tokenizer("I love burritos!", return_tensors="pt")

outputs = model(**inputs)
last_hidden_state = outputs.last_hidden_state
pooler_output = outputs.pooler_output`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForCustomTasks

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/sbert-all-MiniLM-L6-with-pooler&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForCustomTasks.from_pretrained(<span class="hljs-string">&quot;optimum/sbert-all-MiniLM-L6-with-pooler&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;I love burritos!&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_state = outputs.last_hidden_state
<span class="hljs-meta">&gt;&gt;&gt; </span>pooler_output = outputs.pooler_output`}}),{c(){s=r("p"),_=l("Example of custom tasks(e.g. a sentence transformers taking "),d=r("code"),u=l("pooler_output"),f=l(" as output):"),n=h(),w(m.$$.fragment)},l(c){s=a(c,"P",{});var v=i(s);_=p(v,"Example of custom tasks(e.g. a sentence transformers taking "),d=a(v,"CODE",{});var E=i(d);u=p(E,"pooler_output"),E.forEach(t),f=p(v," as output):"),v.forEach(t),n=g(c),x(m.$$.fragment,c)},m(c,v){k(c,s,v),e(s,_),e(s,d),e(d,u),e(s,f),k(c,n,v),b(m,c,v),y=!0},p:z,i(c){y||(T(m.$$.fragment,c),y=!0)},o(c){M(m.$$.fragment,c),y=!1},d(c){c&&t(s),c&&t(n),O(m,c)}}}function Dh(j){let s,_,d,u,f,n,m,y;return m=new P({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForCustomTasks

tokenizer = AutoTokenizer.from_pretrained("optimum/sbert-all-MiniLM-L6-with-pooler")
model = ORTModelForCustomTasks.from_pretrained("optimum/sbert-all-MiniLM-L6-with-pooler")
onnx_extractor = pipeline("feature-extraction", model=model, tokenizer=tokenizer)

text = "I love burritos!"
pred = onnx_extractor(text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForCustomTasks

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/sbert-all-MiniLM-L6-with-pooler&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForCustomTasks.from_pretrained(<span class="hljs-string">&quot;optimum/sbert-all-MiniLM-L6-with-pooler&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_extractor = pipeline(<span class="hljs-string">&quot;feature-extraction&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;I love burritos!&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_extractor(text)`}}),{c(){s=r("p"),_=l("Example using "),d=r("code"),u=l("transformers.pipelines"),f=l("(only if the task is supported):"),n=h(),w(m.$$.fragment)},l(c){s=a(c,"P",{});var v=i(s);_=p(v,"Example using "),d=a(v,"CODE",{});var E=i(d);u=p(E,"transformers.pipelines"),E.forEach(t),f=p(v,"(only if the task is supported):"),v.forEach(t),n=g(c),x(m.$$.fragment,c)},m(c,v){k(c,s,v),e(s,_),e(s,d),e(d,u),e(s,f),k(c,n,v),b(m,c,v),y=!0},p:z,i(c){y||(T(m.$$.fragment,c),y=!0)},o(c){M(m.$$.fragment,c),y=!1},d(c){c&&t(s),c&&t(n),O(m,c)}}}function Lh(j){let s,_,d,u,f;return{c(){s=r("p"),_=l("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=r("code"),u=l("Module"),f=l(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=a(n,"P",{});var m=i(s);_=p(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a(m,"CODE",{});var y=i(d);u=p(y,"Module"),y.forEach(t),f=p(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(t)},m(n,m){k(n,s,m),e(s,_),e(s,d),e(d,u),e(s,f)},d(n){n&&t(s)}}}function Xh(j){let s,_,d,u,f;return u=new P({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForFeatureExtraction
import torch

tokenizer = AutoTokenizer.from_pretrained("optimum/all-MiniLM-L6-v2")
model = ORTModelForFeatureExtraction.from_pretrained("optimum/all-MiniLM-L6-v2")

inputs = tokenizer("My name is Philipp and I live in Germany.", return_tensors="pt")

outputs = model(**inputs)
last_hidden_state = outputs.last_hidden_state
list(last_hidden_state.shape)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForFeatureExtraction
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/all-MiniLM-L6-v2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForFeatureExtraction.from_pretrained(<span class="hljs-string">&quot;optimum/all-MiniLM-L6-v2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;My name is Philipp and I live in Germany.&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_state = outputs.last_hidden_state
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">list</span>(last_hidden_state.shape)
[<span class="hljs-number">1</span>, <span class="hljs-number">12</span>, <span class="hljs-number">384</span>]`}}),{c(){s=r("p"),_=l("Example of feature extraction:"),d=h(),w(u.$$.fragment)},l(n){s=a(n,"P",{});var m=i(s);_=p(m,"Example of feature extraction:"),m.forEach(t),d=g(n),x(u.$$.fragment,n)},m(n,m){k(n,s,m),e(s,_),k(n,d,m),b(u,n,m),f=!0},p:z,i(n){f||(T(u.$$.fragment,n),f=!0)},o(n){M(u.$$.fragment,n),f=!1},d(n){n&&t(s),n&&t(d),O(u,n)}}}function Wh(j){let s,_,d,u,f,n,m,y;return m=new P({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForFeatureExtraction

tokenizer = AutoTokenizer.from_pretrained("optimum/all-MiniLM-L6-v2")
model = ORTModelForFeatureExtraction.from_pretrained("optimum/all-MiniLM-L6-v2")
onnx_extractor = pipeline("feature-extraction", model=model, tokenizer=tokenizer)

text = "My name is Philipp and I live in Germany."
pred = onnx_extractor(text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForFeatureExtraction

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/all-MiniLM-L6-v2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForFeatureExtraction.from_pretrained(<span class="hljs-string">&quot;optimum/all-MiniLM-L6-v2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_extractor = pipeline(<span class="hljs-string">&quot;feature-extraction&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;My name is Philipp and I live in Germany.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_extractor(text)`}}),{c(){s=r("p"),_=l("Example using "),d=r("code"),u=l("transformers.pipeline"),f=l(":"),n=h(),w(m.$$.fragment)},l(c){s=a(c,"P",{});var v=i(s);_=p(v,"Example using "),d=a(v,"CODE",{});var E=i(d);u=p(E,"transformers.pipeline"),E.forEach(t),f=p(v,":"),v.forEach(t),n=g(c),x(m.$$.fragment,c)},m(c,v){k(c,s,v),e(s,_),e(s,d),e(d,u),e(s,f),k(c,n,v),b(m,c,v),y=!0},p:z,i(c){y||(T(m.$$.fragment,c),y=!0)},o(c){M(m.$$.fragment,c),y=!1},d(c){c&&t(s),c&&t(n),O(m,c)}}}function Uh(j){let s,_,d,u,f;return{c(){s=r("p"),_=l("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=r("code"),u=l("Module"),f=l(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=a(n,"P",{});var m=i(s);_=p(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a(m,"CODE",{});var y=i(d);u=p(y,"Module"),y.forEach(t),f=p(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(t)},m(n,m){k(n,s,m),e(s,_),e(s,d),e(d,u),e(s,f)},d(n){n&&t(s)}}}function Vh(j){let s,_,d,u,f;return u=new P({props:{code:`import requests
from PIL import Image
from optimum.onnxruntime import ORTModelForImageClassification
from transformers import AutoFeatureExtractor

url = "http://images.cocodataset.org/val2017/000000039769.jpg"
image = Image.open(requests.get(url, stream=True).raw)

preprocessor = AutoFeatureExtractor.from_pretrained("optimum/vit-base-patch16-224")
model = ORTModelForImageClassification.from_pretrained("optimum/vit-base-patch16-224")

inputs = preprocessor(images=image, return_tensors="pt")

outputs = model(**inputs)
logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForImageClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoFeatureExtractor

<span class="hljs-meta">&gt;&gt;&gt; </span>url = <span class="hljs-string">&quot;http://images.cocodataset.org/val2017/000000039769.jpg&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>image = Image.<span class="hljs-built_in">open</span>(requests.get(url, stream=<span class="hljs-literal">True</span>).raw)

<span class="hljs-meta">&gt;&gt;&gt; </span>preprocessor = AutoFeatureExtractor.from_pretrained(<span class="hljs-string">&quot;optimum/vit-base-patch16-224&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForImageClassification.from_pretrained(<span class="hljs-string">&quot;optimum/vit-base-patch16-224&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = preprocessor(images=image, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){s=r("p"),_=l("Example of image classification:"),d=h(),w(u.$$.fragment)},l(n){s=a(n,"P",{});var m=i(s);_=p(m,"Example of image classification:"),m.forEach(t),d=g(n),x(u.$$.fragment,n)},m(n,m){k(n,s,m),e(s,_),k(n,d,m),b(u,n,m),f=!0},p:z,i(n){f||(T(u.$$.fragment,n),f=!0)},o(n){M(u.$$.fragment,n),f=!1},d(n){n&&t(s),n&&t(d),O(u,n)}}}function Qh(j){let s,_,d,u,f,n,m,y;return m=new P({props:{code:`import requests
from PIL import Image
from transformers import AutoFeatureExtractor, pipeline
from optimum.onnxruntime import ORTModelForImageClassification

preprocessor = AutoFeatureExtractor.from_pretrained("optimum/vit-base-patch16-224")
model = ORTModelForImageClassification.from_pretrained("optimum/vit-base-patch16-224")
onnx_image_classifier = pipeline("image-classification", model=model, feature_extractor=preprocessor)

url = "http://images.cocodataset.org/val2017/000000039769.jpg"
pred = onnx_image_classifier(url)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoFeatureExtractor, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForImageClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>preprocessor = AutoFeatureExtractor.from_pretrained(<span class="hljs-string">&quot;optimum/vit-base-patch16-224&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForImageClassification.from_pretrained(<span class="hljs-string">&quot;optimum/vit-base-patch16-224&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_image_classifier = pipeline(<span class="hljs-string">&quot;image-classification&quot;</span>, model=model, feature_extractor=preprocessor)

<span class="hljs-meta">&gt;&gt;&gt; </span>url = <span class="hljs-string">&quot;http://images.cocodataset.org/val2017/000000039769.jpg&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_image_classifier(url)`}}),{c(){s=r("p"),_=l("Example using "),d=r("code"),u=l("transformers.pipeline"),f=l(":"),n=h(),w(m.$$.fragment)},l(c){s=a(c,"P",{});var v=i(s);_=p(v,"Example using "),d=a(v,"CODE",{});var E=i(d);u=p(E,"transformers.pipeline"),E.forEach(t),f=p(v,":"),v.forEach(t),n=g(c),x(m.$$.fragment,c)},m(c,v){k(c,s,v),e(s,_),e(s,d),e(d,u),e(s,f),k(c,n,v),b(m,c,v),y=!0},p:z,i(c){y||(T(m.$$.fragment,c),y=!0)},o(c){M(m.$$.fragment,c),y=!1},d(c){c&&t(s),c&&t(n),O(m,c)}}}function Hh(j){let s,_,d,u,f;return{c(){s=r("p"),_=l("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=r("code"),u=l("Module"),f=l(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=a(n,"P",{});var m=i(s);_=p(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a(m,"CODE",{});var y=i(d);u=p(y,"Module"),y.forEach(t),f=p(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(t)},m(n,m){k(n,s,m),e(s,_),e(s,d),e(d,u),e(s,f)},d(n){n&&t(s)}}}function Bh(j){let s,_,d,u,f;return u=new P({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForMultipleChoice

tokenizer = AutoTokenizer.from_pretrained("ehdwns1516/bert-base-uncased_SWAG")
model = ORTModelForMultipleChoice.from_pretrained("ehdwns1516/bert-base-uncased_SWAG", from_transformers=True)

num_choices = 4
first_sentence = ["Members of the procession walk down the street holding small horn brass instruments."] * num_choices
second_sentence = [
    "A drum line passes by walking down the street playing their instruments.",
    "A drum line has heard approaching them.",
    "A drum line arrives and they're outside dancing and asleep.",
    "A drum line turns the lead singer watches the performance."
]
inputs = tokenizer(first_sentence, second_sentence, truncation=True, padding=True)

for k, v in inputs.items():
    inputs[k] = [v[i: i + num_choices] for i in range(0, len(v), num_choices)]
inputs = dict(inputs.convert_to_tensors(tensor_type="pt"))
outputs = model(**inputs)
logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForMultipleChoice

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;ehdwns1516/bert-base-uncased_SWAG&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForMultipleChoice.from_pretrained(<span class="hljs-string">&quot;ehdwns1516/bert-base-uncased_SWAG&quot;</span>, from_transformers=<span class="hljs-literal">True</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>num_choices = <span class="hljs-number">4</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>first_sentence = [<span class="hljs-string">&quot;Members of the procession walk down the street holding small horn brass instruments.&quot;</span>] * num_choices
<span class="hljs-meta">&gt;&gt;&gt; </span>second_sentence = [
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;A drum line passes by walking down the street playing their instruments.&quot;</span>,
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;A drum line has heard approaching them.&quot;</span>,
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;A drum line arrives and they&#x27;re outside dancing and asleep.&quot;</span>,
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;A drum line turns the lead singer watches the performance.&quot;</span>
<span class="hljs-meta">... </span>]
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(first_sentence, second_sentence, truncation=<span class="hljs-literal">True</span>, padding=<span class="hljs-literal">True</span>)

<span class="hljs-comment"># Unflatten the inputs values expanding it to the shape [batch_size, num_choices, seq_length]</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">for</span> k, v <span class="hljs-keyword">in</span> inputs.items():
<span class="hljs-meta">... </span>    inputs[k] = [v[i: i + num_choices] <span class="hljs-keyword">for</span> i <span class="hljs-keyword">in</span> <span class="hljs-built_in">range</span>(<span class="hljs-number">0</span>, <span class="hljs-built_in">len</span>(v), num_choices)]
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = <span class="hljs-built_in">dict</span>(inputs.convert_to_tensors(tensor_type=<span class="hljs-string">&quot;pt&quot;</span>))
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){s=r("p"),_=l("Example of mutliple choice:"),d=h(),w(u.$$.fragment)},l(n){s=a(n,"P",{});var m=i(s);_=p(m,"Example of mutliple choice:"),m.forEach(t),d=g(n),x(u.$$.fragment,n)},m(n,m){k(n,s,m),e(s,_),k(n,d,m),b(u,n,m),f=!0},p:z,i(n){f||(T(u.$$.fragment,n),f=!0)},o(n){M(u.$$.fragment,n),f=!1},d(n){n&&t(s),n&&t(d),O(u,n)}}}function Gh(j){let s,_,d,u,f;return{c(){s=r("p"),_=l("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=r("code"),u=l("Module"),f=l(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=a(n,"P",{});var m=i(s);_=p(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a(m,"CODE",{});var y=i(d);u=p(y,"Module"),y.forEach(t),f=p(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(t)},m(n,m){k(n,s,m),e(s,_),e(s,d),e(d,u),e(s,f)},d(n){n&&t(s)}}}function Jh(j){let s,_,d,u,f;return u=new P({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForQuestionAnswering
import torch

tokenizer = AutoTokenizer.from_pretrained("optimum/roberta-base-squad2")
model = ORTModelForQuestionAnswering.from_pretrained("optimum/roberta-base-squad2")

question, text = "Who was Jim Henson?", "Jim Henson was a nice puppet"
inputs = tokenizer(question, text, return_tensors="pt")
start_positions = torch.tensor([1])
end_positions = torch.tensor([3])

outputs = model(**inputs, start_positions=start_positions, end_positions=end_positions)
start_scores = outputs.start_logits
end_scores = outputs.end_logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForQuestionAnswering
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/roberta-base-squad2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForQuestionAnswering.from_pretrained(<span class="hljs-string">&quot;optimum/roberta-base-squad2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>question, text = <span class="hljs-string">&quot;Who was Jim Henson?&quot;</span>, <span class="hljs-string">&quot;Jim Henson was a nice puppet&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(question, text, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>start_positions = torch.tensor([<span class="hljs-number">1</span>])
<span class="hljs-meta">&gt;&gt;&gt; </span>end_positions = torch.tensor([<span class="hljs-number">3</span>])

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs, start_positions=start_positions, end_positions=end_positions)
<span class="hljs-meta">&gt;&gt;&gt; </span>start_scores = outputs.start_logits
<span class="hljs-meta">&gt;&gt;&gt; </span>end_scores = outputs.end_logits`}}),{c(){s=r("p"),_=l("Example of question answering:"),d=h(),w(u.$$.fragment)},l(n){s=a(n,"P",{});var m=i(s);_=p(m,"Example of question answering:"),m.forEach(t),d=g(n),x(u.$$.fragment,n)},m(n,m){k(n,s,m),e(s,_),k(n,d,m),b(u,n,m),f=!0},p:z,i(n){f||(T(u.$$.fragment,n),f=!0)},o(n){M(u.$$.fragment,n),f=!1},d(n){n&&t(s),n&&t(d),O(u,n)}}}function Yh(j){let s,_,d,u,f,n,m,y;return m=new P({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForQuestionAnswering

tokenizer = AutoTokenizer.from_pretrained("optimum/roberta-base-squad2")
model = ORTModelForQuestionAnswering.from_pretrained("optimum/roberta-base-squad2")
onnx_qa = pipeline("question-answering", model=model, tokenizer=tokenizer)

question, text = "Who was Jim Henson?", "Jim Henson was a nice puppet"
pred = onnx_qa(question, text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForQuestionAnswering

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/roberta-base-squad2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForQuestionAnswering.from_pretrained(<span class="hljs-string">&quot;optimum/roberta-base-squad2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_qa = pipeline(<span class="hljs-string">&quot;question-answering&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>question, text = <span class="hljs-string">&quot;Who was Jim Henson?&quot;</span>, <span class="hljs-string">&quot;Jim Henson was a nice puppet&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_qa(question, text)`}}),{c(){s=r("p"),_=l("Example using "),d=r("code"),u=l("transformers.pipeline"),f=l(":"),n=h(),w(m.$$.fragment)},l(c){s=a(c,"P",{});var v=i(s);_=p(v,"Example using "),d=a(v,"CODE",{});var E=i(d);u=p(E,"transformers.pipeline"),E.forEach(t),f=p(v,":"),v.forEach(t),n=g(c),x(m.$$.fragment,c)},m(c,v){k(c,s,v),e(s,_),e(s,d),e(d,u),e(s,f),k(c,n,v),b(m,c,v),y=!0},p:z,i(c){y||(T(m.$$.fragment,c),y=!0)},o(c){M(m.$$.fragment,c),y=!1},d(c){c&&t(s),c&&t(n),O(m,c)}}}function Kh(j){let s,_,d,u,f;return{c(){s=r("p"),_=l("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=r("code"),u=l("Module"),f=l(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=a(n,"P",{});var m=i(s);_=p(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a(m,"CODE",{});var y=i(d);u=p(y,"Module"),y.forEach(t),f=p(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(t)},m(n,m){k(n,s,m),e(s,_),e(s,d),e(d,u),e(s,f)},d(n){n&&t(s)}}}function Zh(j){let s,_,d,u,f;return u=new P({props:{code:`import requests
from PIL import Image
from optimum.onnxruntime import ORTModelForSemanticSegmentation
from transformers import AutoFeatureExtractor

url = "http://images.cocodataset.org/val2017/000000039769.jpg"
image = Image.open(requests.get(url, stream=True).raw)

preprocessor = AutoFeatureExtractor.from_pretrained("optimum/segformer-b0-finetuned-ade-512-512")
model = ORTModelForSemanticSegmentation.from_pretrained("optimum/segformer-b0-finetuned-ade-512-512")

inputs = preprocessor(images=image, return_tensors="pt")

outputs = model(**inputs)
logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSemanticSegmentation
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoFeatureExtractor

<span class="hljs-meta">&gt;&gt;&gt; </span>url = <span class="hljs-string">&quot;http://images.cocodataset.org/val2017/000000039769.jpg&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>image = Image.<span class="hljs-built_in">open</span>(requests.get(url, stream=<span class="hljs-literal">True</span>).raw)

<span class="hljs-meta">&gt;&gt;&gt; </span>preprocessor = AutoFeatureExtractor.from_pretrained(<span class="hljs-string">&quot;optimum/segformer-b0-finetuned-ade-512-512&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSemanticSegmentation.from_pretrained(<span class="hljs-string">&quot;optimum/segformer-b0-finetuned-ade-512-512&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = preprocessor(images=image, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){s=r("p"),_=l("Example of semantic segmentation:"),d=h(),w(u.$$.fragment)},l(n){s=a(n,"P",{});var m=i(s);_=p(m,"Example of semantic segmentation:"),m.forEach(t),d=g(n),x(u.$$.fragment,n)},m(n,m){k(n,s,m),e(s,_),k(n,d,m),b(u,n,m),f=!0},p:z,i(n){f||(T(u.$$.fragment,n),f=!0)},o(n){M(u.$$.fragment,n),f=!1},d(n){n&&t(s),n&&t(d),O(u,n)}}}function eg(j){let s,_,d,u,f,n,m,y;return m=new P({props:{code:`import requests
from PIL import Image
from transformers import AutoFeatureExtractor, pipeline
from optimum.onnxruntime import ORTModelForSemanticSegmentation

preprocessor = AutoFeatureExtractor.from_pretrained("optimum/segformer-b0-finetuned-ade-512-512")
model = ORTModelForSemanticSegmentation.from_pretrained("optimum/segformer-b0-finetuned-ade-512-512")
onnx_image_segmenter = pipeline("image-segmentation", model=model, feature_extractor=preprocessor)

url = "http://images.cocodataset.org/val2017/000000039769.jpg"
pred = onnx_image_segmenter(url)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoFeatureExtractor, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSemanticSegmentation

<span class="hljs-meta">&gt;&gt;&gt; </span>preprocessor = AutoFeatureExtractor.from_pretrained(<span class="hljs-string">&quot;optimum/segformer-b0-finetuned-ade-512-512&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSemanticSegmentation.from_pretrained(<span class="hljs-string">&quot;optimum/segformer-b0-finetuned-ade-512-512&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_image_segmenter = pipeline(<span class="hljs-string">&quot;image-segmentation&quot;</span>, model=model, feature_extractor=preprocessor)

<span class="hljs-meta">&gt;&gt;&gt; </span>url = <span class="hljs-string">&quot;http://images.cocodataset.org/val2017/000000039769.jpg&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_image_segmenter(url)`}}),{c(){s=r("p"),_=l("Example using "),d=r("code"),u=l("transformers.pipeline"),f=l(":"),n=h(),w(m.$$.fragment)},l(c){s=a(c,"P",{});var v=i(s);_=p(v,"Example using "),d=a(v,"CODE",{});var E=i(d);u=p(E,"transformers.pipeline"),E.forEach(t),f=p(v,":"),v.forEach(t),n=g(c),x(m.$$.fragment,c)},m(c,v){k(c,s,v),e(s,_),e(s,d),e(d,u),e(s,f),k(c,n,v),b(m,c,v),y=!0},p:z,i(c){y||(T(m.$$.fragment,c),y=!0)},o(c){M(m.$$.fragment,c),y=!1},d(c){c&&t(s),c&&t(n),O(m,c)}}}function tg(j){let s,_,d,u,f;return{c(){s=r("p"),_=l("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=r("code"),u=l("Module"),f=l(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=a(n,"P",{});var m=i(s);_=p(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a(m,"CODE",{});var y=i(d);u=p(y,"Module"),y.forEach(t),f=p(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(t)},m(n,m){k(n,s,m),e(s,_),e(s,d),e(d,u),e(s,f)},d(n){n&&t(s)}}}function og(j){let s,_,d,u,f;return u=new P({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForSeq2SeqLM

tokenizer = AutoTokenizer.from_pretrained("optimum/t5-small")
model = ORTModelForSeq2SeqLM.from_pretrained("optimum/t5-small")

inputs = tokenizer("My name is Eustache and I like to", return_tensors="pt")

gen_tokens = model.generate(**inputs)
outputs = tokenizer.batch_decode(gen_tokens)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSeq2SeqLM

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/t5-small&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSeq2SeqLM.from_pretrained(<span class="hljs-string">&quot;optimum/t5-small&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;My name is Eustache and I like to&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>gen_tokens = model.generate(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = tokenizer.batch_decode(gen_tokens)`}}),{c(){s=r("p"),_=l("Example of text generation:"),d=h(),w(u.$$.fragment)},l(n){s=a(n,"P",{});var m=i(s);_=p(m,"Example of text generation:"),m.forEach(t),d=g(n),x(u.$$.fragment,n)},m(n,m){k(n,s,m),e(s,_),k(n,d,m),b(u,n,m),f=!0},p:z,i(n){f||(T(u.$$.fragment,n),f=!0)},o(n){M(u.$$.fragment,n),f=!1},d(n){n&&t(s),n&&t(d),O(u,n)}}}function ng(j){let s,_,d,u,f,n,m,y;return m=new P({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForSeq2SeqLM

tokenizer = AutoTokenizer.from_pretrained("optimum/t5-small")
model = ORTModelForSeq2SeqLM.from_pretrained("optimum/t5-small")
onnx_translation = pipeline("translation_en_to_de", model=model, tokenizer=tokenizer)

text = "My name is Eustache."
pred = onnx_translation(text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSeq2SeqLM

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/t5-small&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSeq2SeqLM.from_pretrained(<span class="hljs-string">&quot;optimum/t5-small&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_translation = pipeline(<span class="hljs-string">&quot;translation_en_to_de&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;My name is Eustache.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_translation(text)`}}),{c(){s=r("p"),_=l("Example using "),d=r("code"),u=l("transformers.pipeline"),f=l(":"),n=h(),w(m.$$.fragment)},l(c){s=a(c,"P",{});var v=i(s);_=p(v,"Example using "),d=a(v,"CODE",{});var E=i(d);u=p(E,"transformers.pipeline"),E.forEach(t),f=p(v,":"),v.forEach(t),n=g(c),x(m.$$.fragment,c)},m(c,v){k(c,s,v),e(s,_),e(s,d),e(d,u),e(s,f),k(c,n,v),b(m,c,v),y=!0},p:z,i(c){y||(T(m.$$.fragment,c),y=!0)},o(c){M(m.$$.fragment,c),y=!1},d(c){c&&t(s),c&&t(n),O(m,c)}}}function sg(j){let s,_,d,u,f;return{c(){s=r("p"),_=l("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=r("code"),u=l("Module"),f=l(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=a(n,"P",{});var m=i(s);_=p(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a(m,"CODE",{});var y=i(d);u=p(y,"Module"),y.forEach(t),f=p(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(t)},m(n,m){k(n,s,m),e(s,_),e(s,d),e(d,u),e(s,f)},d(n){n&&t(s)}}}function rg(j){let s,_,d,u,f;return u=new P({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForSequenceClassification
import torch

tokenizer = AutoTokenizer.from_pretrained("optimum/distilbert-base-uncased-finetuned-sst-2-english")
model = ORTModelForSequenceClassification.from_pretrained("optimum/distilbert-base-uncased-finetuned-sst-2-english")

inputs = tokenizer("Hello, my dog is cute", return_tensors="pt")

outputs = model(**inputs)
logits = outputs.logits
list(logits.shape)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSequenceClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/distilbert-base-uncased-finetuned-sst-2-english&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;optimum/distilbert-base-uncased-finetuned-sst-2-english&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">list</span>(logits.shape)
[<span class="hljs-number">1</span>, <span class="hljs-number">2</span>]`}}),{c(){s=r("p"),_=l("Example of single-label classification:"),d=h(),w(u.$$.fragment)},l(n){s=a(n,"P",{});var m=i(s);_=p(m,"Example of single-label classification:"),m.forEach(t),d=g(n),x(u.$$.fragment,n)},m(n,m){k(n,s,m),e(s,_),k(n,d,m),b(u,n,m),f=!0},p:z,i(n){f||(T(u.$$.fragment,n),f=!0)},o(n){M(u.$$.fragment,n),f=!1},d(n){n&&t(s),n&&t(d),O(u,n)}}}function ag(j){let s,_,d,u,f,n,m,y;return m=new P({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForSequenceClassification

tokenizer = AutoTokenizer.from_pretrained("optimum/distilbert-base-uncased-finetuned-sst-2-english")
model = ORTModelForSequenceClassification.from_pretrained("optimum/distilbert-base-uncased-finetuned-sst-2-english")
onnx_classifier = pipeline("text-classification", model=model, tokenizer=tokenizer)

text = "Hello, my dog is cute"
pred = onnx_classifier(text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSequenceClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/distilbert-base-uncased-finetuned-sst-2-english&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;optimum/distilbert-base-uncased-finetuned-sst-2-english&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_classifier = pipeline(<span class="hljs-string">&quot;text-classification&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_classifier(text)`}}),{c(){s=r("p"),_=l("Example using "),d=r("code"),u=l("transformers.pipelines"),f=l(":"),n=h(),w(m.$$.fragment)},l(c){s=a(c,"P",{});var v=i(s);_=p(v,"Example using "),d=a(v,"CODE",{});var E=i(d);u=p(E,"transformers.pipelines"),E.forEach(t),f=p(v,":"),v.forEach(t),n=g(c),x(m.$$.fragment,c)},m(c,v){k(c,s,v),e(s,_),e(s,d),e(d,u),e(s,f),k(c,n,v),b(m,c,v),y=!0},p:z,i(c){y||(T(m.$$.fragment,c),y=!0)},o(c){M(m.$$.fragment,c),y=!1},d(c){c&&t(s),c&&t(n),O(m,c)}}}function ig(j){let s,_,d,u,f,n,m,y;return m=new P({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForSequenceClassification

tokenizer = AutoTokenizer.from_pretrained("optimum/distilbert-base-uncased-mnli")
model = ORTModelForSequenceClassification.from_pretrained("optimum/distilbert-base-uncased-mnli")
onnx_z0 = pipeline("zero-shot-classification", model=model, tokenizer=tokenizer)

sequence_to_classify = "Who are you voting for in 2020?"
candidate_labels = ["Europe", "public health", "politics", "elections"]
pred = onnx_z0(sequence_to_classify, candidate_labels, multi_label=True)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSequenceClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/distilbert-base-uncased-mnli&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;optimum/distilbert-base-uncased-mnli&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_z0 = pipeline(<span class="hljs-string">&quot;zero-shot-classification&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>sequence_to_classify = <span class="hljs-string">&quot;Who are you voting for in 2020?&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>candidate_labels = [<span class="hljs-string">&quot;Europe&quot;</span>, <span class="hljs-string">&quot;public health&quot;</span>, <span class="hljs-string">&quot;politics&quot;</span>, <span class="hljs-string">&quot;elections&quot;</span>]
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_z0(sequence_to_classify, candidate_labels, multi_label=<span class="hljs-literal">True</span>)`}}),{c(){s=r("p"),_=l("Example using zero-shot-classification "),d=r("code"),u=l("transformers.pipelines"),f=l(":"),n=h(),w(m.$$.fragment)},l(c){s=a(c,"P",{});var v=i(s);_=p(v,"Example using zero-shot-classification "),d=a(v,"CODE",{});var E=i(d);u=p(E,"transformers.pipelines"),E.forEach(t),f=p(v,":"),v.forEach(t),n=g(c),x(m.$$.fragment,c)},m(c,v){k(c,s,v),e(s,_),e(s,d),e(d,u),e(s,f),k(c,n,v),b(m,c,v),y=!0},p:z,i(c){y||(T(m.$$.fragment,c),y=!0)},o(c){M(m.$$.fragment,c),y=!1},d(c){c&&t(s),c&&t(n),O(m,c)}}}function lg(j){let s,_,d,u,f;return{c(){s=r("p"),_=l("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=r("code"),u=l("Module"),f=l(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=a(n,"P",{});var m=i(s);_=p(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a(m,"CODE",{});var y=i(d);u=p(y,"Module"),y.forEach(t),f=p(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(t)},m(n,m){k(n,s,m),e(s,_),e(s,d),e(d,u),e(s,f)},d(n){n&&t(s)}}}function pg(j){let s,_,d,u,f;return u=new P({props:{code:`from transformers import AutoProcessor
from optimum.onnxruntime import ORTModelForSpeechSeq2Seq
from datasets import load_dataset

processor = AutoProcessor.from_pretrained("optimum/whisper-tiny.en")
model = ORTModelForSpeechSeq2Seq.from_pretrained("optimum/whisper-tiny.en")

ds = load_dataset("hf-internal-testing/librispeech_asr_dummy", "clean", split="validation")
inputs = processor.feature_extractor(ds[0]["audio"]["array"], return_tensors="pt")

gen_tokens = model.generate(inputs=inputs.input_features)
outputs = processor.tokenizer.batch_decode(gen_tokens)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoProcessor
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSpeechSeq2Seq
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset

<span class="hljs-meta">&gt;&gt;&gt; </span>processor = AutoProcessor.from_pretrained(<span class="hljs-string">&quot;optimum/whisper-tiny.en&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSpeechSeq2Seq.from_pretrained(<span class="hljs-string">&quot;optimum/whisper-tiny.en&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>ds = load_dataset(<span class="hljs-string">&quot;hf-internal-testing/librispeech_asr_dummy&quot;</span>, <span class="hljs-string">&quot;clean&quot;</span>, split=<span class="hljs-string">&quot;validation&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = processor.feature_extractor(ds[<span class="hljs-number">0</span>][<span class="hljs-string">&quot;audio&quot;</span>][<span class="hljs-string">&quot;array&quot;</span>], return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>gen_tokens = model.generate(inputs=inputs.input_features)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = processor.tokenizer.batch_decode(gen_tokens)`}}),{c(){s=r("p"),_=l("Example of text generation:"),d=h(),w(u.$$.fragment)},l(n){s=a(n,"P",{});var m=i(s);_=p(m,"Example of text generation:"),m.forEach(t),d=g(n),x(u.$$.fragment,n)},m(n,m){k(n,s,m),e(s,_),k(n,d,m),b(u,n,m),f=!0},p:z,i(n){f||(T(u.$$.fragment,n),f=!0)},o(n){M(u.$$.fragment,n),f=!1},d(n){n&&t(s),n&&t(d),O(u,n)}}}function mg(j){let s,_,d,u,f,n,m,y;return m=new P({props:{code:`from transformers import AutoProcessor, pipeline
from optimum.onnxruntime import ORTModelForSpeechSeq2Seq
from datasets import load_dataset

processor = AutoProcessor.from_pretrained("optimum/whisper-tiny.en")
model = ORTModelForSpeechSeq2Seq.from_pretrained("optimum/whisper-tiny.en")
speech_recognition = pipeline("automatic-speech-recognition", model=model, tokenizer=processor.tokenizer, feature_extractor=processor.feature_extractor)

ds = load_dataset("hf-internal-testing/librispeech_asr_dummy", "clean", split="validation")
pred = speech_recognition(ds[0]["audio"]["array"])`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoProcessor, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSpeechSeq2Seq
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset

<span class="hljs-meta">&gt;&gt;&gt; </span>processor = AutoProcessor.from_pretrained(<span class="hljs-string">&quot;optimum/whisper-tiny.en&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSpeechSeq2Seq.from_pretrained(<span class="hljs-string">&quot;optimum/whisper-tiny.en&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>speech_recognition = pipeline(<span class="hljs-string">&quot;automatic-speech-recognition&quot;</span>, model=model, tokenizer=processor.tokenizer, feature_extractor=processor.feature_extractor)

<span class="hljs-meta">&gt;&gt;&gt; </span>ds = load_dataset(<span class="hljs-string">&quot;hf-internal-testing/librispeech_asr_dummy&quot;</span>, <span class="hljs-string">&quot;clean&quot;</span>, split=<span class="hljs-string">&quot;validation&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = speech_recognition(ds[<span class="hljs-number">0</span>][<span class="hljs-string">&quot;audio&quot;</span>][<span class="hljs-string">&quot;array&quot;</span>])`}}),{c(){s=r("p"),_=l("Example using "),d=r("code"),u=l("transformers.pipeline"),f=l(":"),n=h(),w(m.$$.fragment)},l(c){s=a(c,"P",{});var v=i(s);_=p(v,"Example using "),d=a(v,"CODE",{});var E=i(d);u=p(E,"transformers.pipeline"),E.forEach(t),f=p(v,":"),v.forEach(t),n=g(c),x(m.$$.fragment,c)},m(c,v){k(c,s,v),e(s,_),e(s,d),e(d,u),e(s,f),k(c,n,v),b(m,c,v),y=!0},p:z,i(c){y||(T(m.$$.fragment,c),y=!0)},o(c){M(m.$$.fragment,c),y=!1},d(c){c&&t(s),c&&t(n),O(m,c)}}}function dg(j){let s,_,d,u,f;return{c(){s=r("p"),_=l("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=r("code"),u=l("Module"),f=l(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=a(n,"P",{});var m=i(s);_=p(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a(m,"CODE",{});var y=i(d);u=p(y,"Module"),y.forEach(t),f=p(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(t)},m(n,m){k(n,s,m),e(s,_),e(s,d),e(d,u),e(s,f)},d(n){n&&t(s)}}}function cg(j){let s,_,d,u,f;return u=new P({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForTokenClassification
import torch

tokenizer = AutoTokenizer.from_pretrained("optimum/bert-base-NER")
model = ORTModelForTokenClassification.from_pretrained("optimum/bert-base-NER")

inputs = tokenizer("My name is Philipp and I live in Germany.", return_tensors="pt")

outputs = model(**inputs)
logits = outputs.logits
list(logits.shape)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForTokenClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/bert-base-NER&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForTokenClassification.from_pretrained(<span class="hljs-string">&quot;optimum/bert-base-NER&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;My name is Philipp and I live in Germany.&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">list</span>(logits.shape)
[<span class="hljs-number">1</span>, <span class="hljs-number">12</span>, <span class="hljs-number">9</span>]`}}),{c(){s=r("p"),_=l("Example of token classification:"),d=h(),w(u.$$.fragment)},l(n){s=a(n,"P",{});var m=i(s);_=p(m,"Example of token classification:"),m.forEach(t),d=g(n),x(u.$$.fragment,n)},m(n,m){k(n,s,m),e(s,_),k(n,d,m),b(u,n,m),f=!0},p:z,i(n){f||(T(u.$$.fragment,n),f=!0)},o(n){M(u.$$.fragment,n),f=!1},d(n){n&&t(s),n&&t(d),O(u,n)}}}function ug(j){let s,_,d,u,f,n,m,y;return m=new P({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForTokenClassification

tokenizer = AutoTokenizer.from_pretrained("optimum/bert-base-NER")
model = ORTModelForTokenClassification.from_pretrained("optimum/bert-base-NER")
onnx_ner = pipeline("token-classification", model=model, tokenizer=tokenizer)

text = "My name is Philipp and I live in Germany."
pred = onnx_ner(text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForTokenClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/bert-base-NER&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForTokenClassification.from_pretrained(<span class="hljs-string">&quot;optimum/bert-base-NER&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_ner = pipeline(<span class="hljs-string">&quot;token-classification&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;My name is Philipp and I live in Germany.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_ner(text)`}}),{c(){s=r("p"),_=l("Example using "),d=r("code"),u=l("transformers.pipelines"),f=l(":"),n=h(),w(m.$$.fragment)},l(c){s=a(c,"P",{});var v=i(s);_=p(v,"Example using "),d=a(v,"CODE",{});var E=i(d);u=p(E,"transformers.pipelines"),E.forEach(t),f=p(v,":"),v.forEach(t),n=g(c),x(m.$$.fragment,c)},m(c,v){k(c,s,v),e(s,_),e(s,d),e(d,u),e(s,f),k(c,n,v),b(m,c,v),y=!0},p:z,i(c){y||(T(m.$$.fragment,c),y=!0)},o(c){M(m.$$.fragment,c),y=!1},d(c){c&&t(s),c&&t(n),O(m,c)}}}function hg(j){let s,_,d,u,f,n,m,y,c,v,E,tt,Dn,po,mi,Ln,di,na,F,mo,ci,Xn,ui,hi,co,gi,Wn,fi,_i,$i,Un,vi,ki,uo,_e,wi,Vn,xi,bi,Qn,Ti,Mi,Hn,Oi,yi,qi,$e,ji,Bn,Ei,Ri,Gn,Fi,Ci,Jn,Si,zi,Pi,Yn,Ai,Ni,te,ho,Ii,Kn,Di,Li,Xi,go,Wi,fo,Ui,Vi,Qi,oe,Hi,Zn,Bi,Gi,es,Ji,Yi,ts,Ki,Zi,os,el,tl,ol,_o,nl,ns,sl,rl,al,ss,il,ll,ot,$o,pl,rs,ml,dl,nt,vo,cl,ko,ul,as,hl,gl,fl,st,wo,_l,is,$l,vl,rt,xo,kl,ls,wl,sa,Ce,at,ps,bo,xl,ms,bl,ra,ne,To,Tl,ds,Ml,Ol,it,Mo,yl,Oo,ql,cs,jl,El,Rl,Q,yo,Fl,Se,Cl,us,Sl,zl,hs,Pl,Al,Nl,lt,Il,pt,Dl,mt,aa,ze,dt,gs,qo,Ll,fs,Xl,ia,U,jo,Wl,_s,Ul,Vl,Eo,Ql,$s,Hl,Bl,Gl,vs,Jl,Yl,H,Ro,Kl,Pe,Zl,ks,ep,tp,ws,op,np,sp,ct,rp,ut,ap,ht,la,Ae,gt,xs,Fo,ip,bs,lp,pa,A,Co,pp,Ts,mp,dp,So,cp,Ms,up,hp,gp,Os,fp,_p,B,zo,$p,Ne,vp,ys,kp,wp,qs,xp,bp,Tp,ft,Mp,_t,Op,$t,yp,vt,Po,qp,js,jp,ma,Ie,kt,Es,Ao,Ep,Rs,Rp,da,N,No,Fp,Fs,Cp,Sp,Io,zp,Cs,Pp,Ap,Np,Ss,Ip,Dp,G,Do,Lp,De,Xp,zs,Wp,Up,Ps,Vp,Qp,Hp,wt,Bp,xt,Gp,bt,Jp,Tt,Lo,Yp,As,Kp,ca,Le,Mt,Ns,Xo,Zp,Is,em,ua,I,Wo,tm,Ds,om,nm,Uo,sm,Ls,rm,am,im,Xs,lm,pm,pe,Vo,mm,Xe,dm,Ws,cm,um,Us,hm,gm,fm,Ot,_m,yt,$m,qt,Qo,vm,Vs,km,ha,We,jt,Qs,Ho,wm,Hs,xm,ga,D,Bo,bm,Bs,Tm,Mm,Go,Om,Gs,ym,qm,jm,Js,Em,Rm,J,Jo,Fm,Ue,Cm,Ys,Sm,zm,Ks,Pm,Am,Nm,Et,Im,Rt,Dm,Ft,Lm,Ct,Yo,Xm,Zs,Wm,fa,Ve,St,er,Ko,Um,tr,Vm,_a,V,Zo,Qm,or,Hm,Bm,en,Gm,nr,Jm,Ym,Km,sr,Zm,ed,Y,tn,td,Qe,od,rr,nd,sd,ar,rd,ad,id,zt,ld,Pt,pd,At,$a,He,Nt,ir,on,md,lr,dd,va,se,nn,cd,pr,ud,hd,It,sn,gd,rn,fd,mr,_d,$d,vd,K,an,kd,Be,wd,dr,xd,bd,cr,Td,Md,Od,Dt,yd,Lt,qd,Xt,ka,Ge,Wt,ur,ln,jd,hr,Ed,wa,L,pn,Rd,gr,Fd,Cd,mn,Sd,fr,zd,Pd,Ad,_r,Nd,Id,W,dn,Dd,Je,Ld,$r,Xd,Wd,vr,Ud,Vd,Qd,Ut,Hd,Vt,Bd,Qt,Gd,Ht,Jd,Bt,cn,Yd,kr,Kd,xa,Ye,Gt,wr,un,Zd,xr,ec,ba,re,hn,tc,br,oc,nc,Jt,gn,sc,fn,rc,Tr,ac,ic,lc,Z,_n,pc,Ke,mc,Mr,dc,cc,Or,uc,hc,gc,Yt,fc,Kt,_c,Zt,Ta,Ze,eo,yr,$n,$c,qr,vc,Ma,X,vn,kc,jr,wc,xc,kn,bc,Er,Tc,Mc,Oc,Rr,yc,qc,ee,wn,jc,et,Ec,Fr,Rc,Fc,Cr,Cc,Sc,zc,to,Pc,oo,Ac,no,Nc,so,xn,Ic,Sr,Dc,Oa;return n=new le({}),po=new le({}),mo=new R({props:{name:"class optimum.onnxruntime.ORTModel",anchor:"optimum.onnxruntime.ORTModel",parameters:[{name:"model",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/v1.6.3/optimum/onnxruntime/modeling_ort.py#L125"}}),$o=new R({props:{name:"from_pretrained",anchor:"optimum.onnxruntime.ORTModel.from_pretrained",parameters:[{name:"model_id",val:": typing.Union[str, pathlib.Path]"},{name:"from_transformers",val:": bool = False"},{name:"force_download",val:": bool = False"},{name:"use_auth_token",val:": typing.Optional[str] = None"},{name:"cache_dir",val:": typing.Optional[str] = None"},{name:"subfolder",val:": str = ''"},{name:"config",val:": typing.Optional[ForwardRef('PretrainedConfig')] = None"},{name:"local_files_only",val:": bool = False"},{name:"provider",val:": str = 'CPUExecutionProvider'"},{name:"session_options",val:": typing.Optional[onnxruntime.capi.onnxruntime_pybind11_state.SessionOptions] = None"},{name:"provider_options",val:": typing.Union[typing.Dict[str, typing.Any], NoneType] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.model_id",description:`<strong>model_id</strong> (<code>Union[str, Path]</code>) &#x2014;
Can be either:</p>
<ul>
<li>A string, the <em>model id</em> of a pretrained model hosted inside a model repo on huggingface.co.
Valid model ids can be located at the root-level, like <code>bert-base-uncased</code>, or namespaced under a
user or organization name, like <code>dbmdz/bert-base-german-cased</code>.</li>
<li>A path to a <em>directory</em> containing a model saved using <code>~OptimizedModel.save_pretrained</code>,
e.g., <code>./my_model_directory/</code>.</li>
</ul>`,name:"model_id"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.from_transformers",description:`<strong>from_transformers</strong> (<code>bool</code>, defaults to <code>False</code>) &#x2014;
Defines whether the provided <code>model_id</code> contains a vanilla Transformers checkpoint.`,name:"from_transformers"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.force_download",description:`<strong>force_download</strong> (<code>bool</code>, defaults to <code>True</code>) &#x2014;
Whether or not to force the (re-)download of the model weights and configuration files, overriding the
cached versions if they exist.`,name:"force_download"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.use_auth_token",description:`<strong>use_auth_token</strong> (<code>Optional[str]</code>, defaults to <code>None</code>) &#x2014;
The token to use as HTTP bearer authorization for remote files. If <code>True</code>, will use the token generated
when running <code>transformers-cli login</code> (stored in <code>~/.huggingface</code>).`,name:"use_auth_token"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.cache_dir",description:`<strong>cache_dir</strong> (<code>Optional[str]</code>, defaults to <code>None</code>) &#x2014;
Path to a directory in which a downloaded pretrained model configuration should be cached if the
standard cache should not be used.`,name:"cache_dir"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.subfolder",description:`<strong>subfolder</strong> (<code>str</code>, defaults to <code>&quot;&quot;</code>) &#x2014;
In case the relevant files are located inside a subfolder of the model repo either locally or on huggingface.co, you can
specify the folder name here.`,name:"subfolder"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.config",description:`<strong>config</strong> (<code>Optional[transformers.PretrainedConfig]</code>, defaults to <code>None</code>) &#x2014;
The model configuration.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.local_files_only",description:`<strong>local_files_only</strong> (<code>Optional[bool]</code>, defaults to <code>False</code>) &#x2014;
Whether or not to only look at local files (i.e., do not try to download the model).`,name:"local_files_only"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.trust_remote_code",description:`<strong>trust_remote_code</strong> (<code>bool</code>, defaults to <code>False</code>) &#x2014;
Whether or not to allow for custom code defined on the Hub in their own modeling. This option should only be set
to <code>True</code> for repositories you trust and in which you have read the code, as it will execute code present on
the Hub on your local machine.`,name:"trust_remote_code"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.provider",description:`<strong>provider</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;CPUExecutionProvider&quot;</code>) &#x2014;
ONNX Runtime provider to use for loading the model. See <a href="https://onnxruntime.ai/docs/execution-providers/" rel="nofollow">https://onnxruntime.ai/docs/execution-providers/</a> for
possible providers.`,name:"provider"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.session_options",description:`<strong>session_options</strong> (<code>Optional[onnxruntime.SessionOptions]</code>, <em>optional</em>), &#x2014;
ONNX Runtime session options to use for loading the model.`,name:"session_options"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.provider_options",description:`<strong>provider_options</strong> (<code>Optional[Dict[str, Any]]</code>, <em>optional</em>) &#x2014;
Provider option dictionaries corresponding to the provider used. See available options
for each provider: <a href="https://onnxruntime.ai/docs/api/c/group___global.html" rel="nofollow">https://onnxruntime.ai/docs/api/c/group___global.html</a> .`,name:"provider_options"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.kwargs",description:`<strong>kwargs</strong> (<code>Dict[str, Any]</code>) &#x2014;
Will be passed to the underlying model loading methods.`,name:"kwargs"}],source:"https://github.com/huggingface/optimum/blob/v1.6.3/optimum/onnxruntime/modeling_ort.py#L549",returnDescription:`
<p>The loaded ORTModel model.</p>
`,returnType:`
<p><code>ORTModel</code></p>
`}}),vo=new R({props:{name:"load_model",anchor:"optimum.onnxruntime.ORTModel.load_model",parameters:[{name:"path",val:": typing.Union[str, pathlib.Path]"},{name:"provider",val:": str = 'CPUExecutionProvider'"},{name:"session_options",val:": typing.Optional[onnxruntime.capi.onnxruntime_pybind11_state.SessionOptions] = None"},{name:"provider_options",val:": typing.Union[typing.Dict[str, typing.Any], NoneType] = None"}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModel.load_model.path",description:`<strong>path</strong> (<code>Union[str, Path]</code>) &#x2014;
Path of the ONNX model.`,name:"path"},{anchor:"optimum.onnxruntime.ORTModel.load_model.provider",description:`<strong>provider</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;CPUExecutionProvider&quot;</code>) &#x2014;
ONNX Runtime provider to use for loading the model. See <a href="https://onnxruntime.ai/docs/execution-providers/" rel="nofollow">https://onnxruntime.ai/docs/execution-providers/</a>
for possible providers.`,name:"provider"},{anchor:"optimum.onnxruntime.ORTModel.load_model.session_options",description:`<strong>session_options</strong> (<code>Optional[onnxruntime.SessionOptions]</code>, <em>optional</em>) &#x2014;
ONNX Runtime session options to use for loading the model.`,name:"session_options"},{anchor:"optimum.onnxruntime.ORTModel.load_model.provider_options",description:`<strong>provider_options</strong> (<code>Optional[Dict[str, Any]]</code>, <em>optional</em>) &#x2014;
Provider option dictionary corresponding to the provider used. See available options
for each provider: <a href="https://onnxruntime.ai/docs/api/c/group___global.html" rel="nofollow">https://onnxruntime.ai/docs/api/c/group___global.html</a> .`,name:"provider_options"}],source:"https://github.com/huggingface/optimum/blob/v1.6.3/optimum/onnxruntime/modeling_ort.py#L279"}}),wo=new R({props:{name:"shared_attributes_init",anchor:"optimum.onnxruntime.ORTModel.shared_attributes_init",parameters:[{name:"model",val:": InferenceSession"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/v1.6.3/optimum/onnxruntime/modeling_ort.py#L165"}}),xo=new R({props:{name:"to",anchor:"optimum.onnxruntime.ORTModel.to",parameters:[{name:"device",val:": typing.Union[torch.device, str, int]"}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModel.to.device",description:`<strong>device</strong> (<code>torch.device</code> or <code>str</code> or <code>int</code>) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run
the model on the associated CUDA device id. You can pass native <code>torch.device</code> or a <code>str</code> too.`,name:"device"}],source:"https://github.com/huggingface/optimum/blob/v1.6.3/optimum/onnxruntime/modeling_ort.py#L253",returnDescription:`
<p>the model placed on the requested device.</p>
`,returnType:`
<p><code>ORTModel</code></p>
`}}),bo=new le({}),To=new R({props:{name:"class optimum.onnxruntime.ORTModelForCausalLM",anchor:"optimum.onnxruntime.ORTModelForCausalLM",parameters:[{name:"decoder_session",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"decoder_with_past_session",val:": typing.Optional[onnxruntime.capi.onnxruntime_inference_collection.InferenceSession] = None"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"generation_config",val:": typing.Optional[transformers.generation.configuration_utils.GenerationConfig] = None"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/v1.6.3/optimum/onnxruntime/modeling_decoder.py#L745"}}),Mo=new R({props:{name:"can_generate",anchor:"optimum.onnxruntime.ORTModelForCausalLM.can_generate",parameters:[],source:"https://github.com/huggingface/optimum/blob/v1.6.3/optimum/onnxruntime/modeling_decoder.py#L804"}}),yo=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForCausalLM.forward",parameters:[{name:"input_ids",val:": LongTensor = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"past_key_values",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.Tensor]]] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForCausalLM.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary of shape <code>(batch_size, sequence_length)</code>.`,name:"input_ids"},{anchor:"optimum.onnxruntime.ORTModelForCausalLM.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.LongTensor</code>) &#x2014;
Mask to avoid performing attention on padding token indices, of shape
<code>(batch_size, sequence_length)</code>. Mask values selected in <code>[0, 1]</code>.`,name:"attention_mask"},{anchor:"optimum.onnxruntime.ORTModelForCausalLM.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor), *optional*)</code> &#x2014;
Contains the precomputed key and value hidden states of the attention blocks used to speed up decoding.
The tuple is of length <code>config.n_layers</code> with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>.`,name:"past_key_values"}],source:"https://github.com/huggingface/optimum/blob/v1.6.3/optimum/onnxruntime/modeling_decoder.py#L753"}}),lt=new we({props:{$$slots:{default:[zh]},$$scope:{ctx:j}}}),pt=new S({props:{anchor:"optimum.onnxruntime.ORTModelForCausalLM.forward.example",$$slots:{default:[Ph]},$$scope:{ctx:j}}}),mt=new S({props:{anchor:"optimum.onnxruntime.ORTModelForCausalLM.forward.example-2",$$slots:{default:[Ah]},$$scope:{ctx:j}}}),qo=new le({}),jo=new R({props:{name:"class optimum.onnxruntime.ORTModelForCustomTasks",anchor:"optimum.onnxruntime.ORTModelForCustomTasks",parameters:[{name:"model",val:" = None"},{name:"config",val:" = None"},{name:"use_io_binding",val:" = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForCustomTasks.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/v1.6.3/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForCustomTasks.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/v1.6.3/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForCustomTasks.use_io_binding",description:"<strong>use_io_binding</strong> (<code>bool</code>, <em>optional</em>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/v1.6.3/optimum/onnxruntime/modeling_ort.py#L1757"}}),Ro=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForCustomTasks.forward",parameters:[{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/v1.6.3/optimum/onnxruntime/modeling_ort.py#L1769"}}),ct=new we({props:{$$slots:{default:[Nh]},$$scope:{ctx:j}}}),ut=new S({props:{anchor:"optimum.onnxruntime.ORTModelForCustomTasks.forward.example",$$slots:{default:[Ih]},$$scope:{ctx:j}}}),ht=new S({props:{anchor:"optimum.onnxruntime.ORTModelForCustomTasks.forward.example-2",$$slots:{default:[Dh]},$$scope:{ctx:j}}}),Fo=new le({}),Co=new R({props:{name:"class optimum.onnxruntime.ORTModelForFeatureExtraction",anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction",parameters:[{name:"model",val:" = None"},{name:"config",val:" = None"},{name:"use_io_binding",val:" = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/v1.6.3/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/v1.6.3/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.use_io_binding",description:"<strong>use_io_binding</strong> (<code>bool</code>, <em>optional</em>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/v1.6.3/optimum/onnxruntime/modeling_ort.py#L638"}}),zo=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.
Indices can be obtained using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autotokenizer" rel="nofollow"><code>AutoTokenizer</code></a>.
See <a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.encode" rel="nofollow"><code>PreTrainedTokenizer.encode</code></a> and
<a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.__call__" rel="nofollow"><code>PreTrainedTokenizer.__call__</code></a> for details.
<a href="https://huggingface.co/docs/transformers/glossary#input-ids" rel="nofollow">What are input IDs?</a>`,name:"input_ids"},{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#attention-mask" rel="nofollow">What are attention masks?</a></li>
</ul>`,name:"attention_mask"},{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>sentence A</strong>,</li>
<li>0 for tokens that are <strong>sentence B</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#token-type-ids" rel="nofollow">What are token type IDs?</a></li>
</ul>`,name:"token_type_ids"}],source:"https://github.com/huggingface/optimum/blob/v1.6.3/optimum/onnxruntime/modeling_ort.py#L721"}}),ft=new we({props:{$$slots:{default:[Lh]},$$scope:{ctx:j}}}),_t=new S({props:{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.forward.example",$$slots:{default:[Xh]},$$scope:{ctx:j}}}),$t=new S({props:{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.forward.example-2",$$slots:{default:[Wh]},$$scope:{ctx:j}}}),Po=new R({props:{name:"prepare_output_buffer",anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.prepare_output_buffer",parameters:[{name:"batch_size",val:""},{name:"sequence_length",val:""},{name:"hidden_size",val:""},{name:"output_name",val:": str"}],source:"https://github.com/huggingface/optimum/blob/v1.6.3/optimum/onnxruntime/modeling_ort.py#L650"}}),Ao=new le({}),No=new R({props:{name:"class optimum.onnxruntime.ORTModelForImageClassification",anchor:"optimum.onnxruntime.ORTModelForImageClassification",parameters:[{name:"model",val:" = None"},{name:"config",val:" = None"},{name:"use_io_binding",val:" = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForImageClassification.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/v1.6.3/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForImageClassification.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/v1.6.3/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForImageClassification.use_io_binding",description:"<strong>use_io_binding</strong> (<code>bool</code>, <em>optional</em>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/v1.6.3/optimum/onnxruntime/modeling_ort.py#L1515"}}),Do=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForImageClassification.forward",parameters:[{name:"pixel_values",val:": Tensor"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForImageClassification.forward.pixel_values",description:`<strong>pixel_values</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Pixel values corresponding to the images in the current batch.
Pixel values can be obtained from encoded images using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autofeatureextractor" rel="nofollow"><code>AutoFeatureExtractor</code></a>.`,name:"pixel_values"}],source:"https://github.com/huggingface/optimum/blob/v1.6.3/optimum/onnxruntime/modeling_ort.py#L1569"}}),wt=new we({props:{$$slots:{default:[Uh]},$$scope:{ctx:j}}}),xt=new S({props:{anchor:"optimum.onnxruntime.ORTModelForImageClassification.forward.example",$$slots:{default:[Vh]},$$scope:{ctx:j}}}),bt=new S({props:{anchor:"optimum.onnxruntime.ORTModelForImageClassification.forward.example-2",$$slots:{default:[Qh]},$$scope:{ctx:j}}}),Lo=new R({props:{name:"prepare_logits_buffer",anchor:"optimum.onnxruntime.ORTModelForImageClassification.prepare_logits_buffer",parameters:[{name:"batch_size",val:""}],source:"https://github.com/huggingface/optimum/blob/v1.6.3/optimum/onnxruntime/modeling_ort.py#L1527"}}),Xo=new le({}),Wo=new R({props:{name:"class optimum.onnxruntime.ORTModelForMultipleChoice",anchor:"optimum.onnxruntime.ORTModelForMultipleChoice",parameters:[{name:"model",val:" = None"},{name:"config",val:" = None"},{name:"use_io_binding",val:" = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForMultipleChoice.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/v1.6.3/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForMultipleChoice.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/v1.6.3/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForMultipleChoice.use_io_binding",description:"<strong>use_io_binding</strong> (<code>bool</code>, <em>optional</em>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/v1.6.3/optimum/onnxruntime/modeling_ort.py#L1346"}}),Vo=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForMultipleChoice.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForMultipleChoice.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.
Indices can be obtained using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autotokenizer" rel="nofollow"><code>AutoTokenizer</code></a>.
See <a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.encode" rel="nofollow"><code>PreTrainedTokenizer.encode</code></a> and
<a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.__call__" rel="nofollow"><code>PreTrainedTokenizer.__call__</code></a> for details.
<a href="https://huggingface.co/docs/transformers/glossary#input-ids" rel="nofollow">What are input IDs?</a>`,name:"input_ids"},{anchor:"optimum.onnxruntime.ORTModelForMultipleChoice.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#attention-mask" rel="nofollow">What are attention masks?</a></li>
</ul>`,name:"attention_mask"},{anchor:"optimum.onnxruntime.ORTModelForMultipleChoice.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>sentence A</strong>,</li>
<li>0 for tokens that are <strong>sentence B</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#token-type-ids" rel="nofollow">What are token type IDs?</a></li>
</ul>`,name:"token_type_ids"}],source:"https://github.com/huggingface/optimum/blob/v1.6.3/optimum/onnxruntime/modeling_ort.py#L1426"}}),Ot=new we({props:{$$slots:{default:[Hh]},$$scope:{ctx:j}}}),yt=new S({props:{anchor:"optimum.onnxruntime.ORTModelForMultipleChoice.forward.example",$$slots:{default:[Bh]},$$scope:{ctx:j}}}),Qo=new R({props:{name:"prepare_logits_buffer",anchor:"optimum.onnxruntime.ORTModelForMultipleChoice.prepare_logits_buffer",parameters:[{name:"batch_size",val:""},{name:"num_choices",val:""}],source:"https://github.com/huggingface/optimum/blob/v1.6.3/optimum/onnxruntime/modeling_ort.py#L1358"}}),Ho=new le({}),Bo=new R({props:{name:"class optimum.onnxruntime.ORTModelForQuestionAnswering",anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering",parameters:[{name:"model",val:" = None"},{name:"config",val:" = None"},{name:"use_io_binding",val:" = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/v1.6.3/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/v1.6.3/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.use_io_binding",description:"<strong>use_io_binding</strong> (<code>bool</code>, <em>optional</em>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/v1.6.3/optimum/onnxruntime/modeling_ort.py#L809"}}),Jo=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.
Indices can be obtained using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autotokenizer" rel="nofollow"><code>AutoTokenizer</code></a>.
See <a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.encode" rel="nofollow"><code>PreTrainedTokenizer.encode</code></a> and
<a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.__call__" rel="nofollow"><code>PreTrainedTokenizer.__call__</code></a> for details.
<a href="https://huggingface.co/docs/transformers/glossary#input-ids" rel="nofollow">What are input IDs?</a>`,name:"input_ids"},{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#attention-mask" rel="nofollow">What are attention masks?</a></li>
</ul>`,name:"attention_mask"},{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>sentence A</strong>,</li>
<li>0 for tokens that are <strong>sentence B</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#token-type-ids" rel="nofollow">What are token type IDs?</a></li>
</ul>`,name:"token_type_ids"}],source:"https://github.com/huggingface/optimum/blob/v1.6.3/optimum/onnxruntime/modeling_ort.py#L900"}}),Et=new we({props:{$$slots:{default:[Gh]},$$scope:{ctx:j}}}),Rt=new S({props:{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.forward.example",$$slots:{default:[Jh]},$$scope:{ctx:j}}}),Ft=new S({props:{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.forward.example-2",$$slots:{default:[Yh]},$$scope:{ctx:j}}}),Yo=new R({props:{name:"prepare_logits_buffer",anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.prepare_logits_buffer",parameters:[{name:"batch_size",val:""},{name:"sequence_length",val:""},{name:"output_name",val:": str"}],source:"https://github.com/huggingface/optimum/blob/v1.6.3/optimum/onnxruntime/modeling_ort.py#L821"}}),Ko=new le({}),Zo=new R({props:{name:"class optimum.onnxruntime.ORTModelForSemanticSegmentation",anchor:"optimum.onnxruntime.ORTModelForSemanticSegmentation",parameters:[{name:"model",val:" = None"},{name:"config",val:" = None"},{name:"use_io_binding",val:" = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForSemanticSegmentation.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/v1.6.3/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForSemanticSegmentation.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/v1.6.3/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForSemanticSegmentation.use_io_binding",description:"<strong>use_io_binding</strong> (<code>bool</code>, <em>optional</em>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/v1.6.3/optimum/onnxruntime/modeling_ort.py#L1651"}}),tn=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForSemanticSegmentation.forward",parameters:[{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForSemanticSegmentation.forward.pixel_values",description:`<strong>pixel_values</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Pixel values corresponding to the images in the current batch.
Pixel values can be obtained from encoded images using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autofeatureextractor" rel="nofollow"><code>AutoFeatureExtractor</code></a>.`,name:"pixel_values"}],source:"https://github.com/huggingface/optimum/blob/v1.6.3/optimum/onnxruntime/modeling_ort.py#L1665"}}),zt=new we({props:{$$slots:{default:[Kh]},$$scope:{ctx:j}}}),Pt=new S({props:{anchor:"optimum.onnxruntime.ORTModelForSemanticSegmentation.forward.example",$$slots:{default:[Zh]},$$scope:{ctx:j}}}),At=new S({props:{anchor:"optimum.onnxruntime.ORTModelForSemanticSegmentation.forward.example-2",$$slots:{default:[eg]},$$scope:{ctx:j}}}),on=new le({}),nn=new R({props:{name:"class optimum.onnxruntime.ORTModelForSeq2SeqLM",anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM",parameters:[{name:"encoder_session",val:": InferenceSession"},{name:"decoder_session",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"decoder_with_past_session",val:": typing.Optional[onnxruntime.capi.onnxruntime_inference_collection.InferenceSession] = None"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"generation_config",val:": typing.Optional[transformers.generation.configuration_utils.GenerationConfig] = None"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/v1.6.3/optimum/onnxruntime/modeling_seq2seq.py#L1202"}}),sn=new R({props:{name:"can_generate",anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.can_generate",parameters:[],source:"https://github.com/huggingface/optimum/blob/v1.6.3/optimum/onnxruntime/modeling_seq2seq.py#L1309"}}),an=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward",parameters:[{name:"input_ids",val:": LongTensor = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"decoder_input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"encoder_outputs",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.Tensor]]] = None"},{name:"past_key_values",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.Tensor]]] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code>) &#x2014;
Indices of input sequence tokens in the vocabulary of shape <code>(batch_size, encoder_sequence_length)</code>.`,name:"input_ids"},{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.LongTensor</code>) &#x2014;
Mask to avoid performing attention on padding token indices, of shape
<code>(batch_size, encoder_sequence_length)</code>. Mask values selected in <code>[0, 1]</code>.`,name:"attention_mask"},{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>torch.LongTensor</code>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary of shape <code>(batch_size, decoder_sequence_length)</code>.`,name:"decoder_input_ids"},{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.encoder_outputs",description:`<strong>encoder_outputs</strong> (<code>torch.FloatTensor</code>) &#x2014;
The encoder <code>last_hidden_state</code> of shape <code>(batch_size, encoder_sequence_length, hidden_size)</code>.`,name:"encoder_outputs"},{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor), *optional*)</code> &#x2014;
Contains the precomputed key and value hidden states of the attention blocks used to speed up decoding.
The tuple is of length <code>config.n_layers</code> with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, decoder_sequence_length, embed_size_per_head)</code> and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.`,name:"past_key_values"}],source:"https://github.com/huggingface/optimum/blob/v1.6.3/optimum/onnxruntime/modeling_seq2seq.py#L1225"}}),Dt=new we({props:{$$slots:{default:[tg]},$$scope:{ctx:j}}}),Lt=new S({props:{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.example",$$slots:{default:[og]},$$scope:{ctx:j}}}),Xt=new S({props:{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.example-2",$$slots:{default:[ng]},$$scope:{ctx:j}}}),ln=new le({}),pn=new R({props:{name:"class optimum.onnxruntime.ORTModelForSequenceClassification",anchor:"optimum.onnxruntime.ORTModelForSequenceClassification",parameters:[{name:"model",val:" = None"},{name:"config",val:" = None"},{name:"use_io_binding",val:" = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/v1.6.3/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/v1.6.3/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.use_io_binding",description:"<strong>use_io_binding</strong> (<code>bool</code>, <em>optional</em>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/v1.6.3/optimum/onnxruntime/modeling_ort.py#L1009"}}),dn=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.
Indices can be obtained using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autotokenizer" rel="nofollow"><code>AutoTokenizer</code></a>.
See <a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.encode" rel="nofollow"><code>PreTrainedTokenizer.encode</code></a> and
<a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.__call__" rel="nofollow"><code>PreTrainedTokenizer.__call__</code></a> for details.
<a href="https://huggingface.co/docs/transformers/glossary#input-ids" rel="nofollow">What are input IDs?</a>`,name:"input_ids"},{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#attention-mask" rel="nofollow">What are attention masks?</a></li>
</ul>`,name:"attention_mask"},{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>sentence A</strong>,</li>
<li>0 for tokens that are <strong>sentence B</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#token-type-ids" rel="nofollow">What are token type IDs?</a></li>
</ul>`,name:"token_type_ids"}],source:"https://github.com/huggingface/optimum/blob/v1.6.3/optimum/onnxruntime/modeling_ort.py#L1091"}}),Ut=new we({props:{$$slots:{default:[sg]},$$scope:{ctx:j}}}),Vt=new S({props:{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward.example",$$slots:{default:[rg]},$$scope:{ctx:j}}}),Qt=new S({props:{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward.example-2",$$slots:{default:[ag]},$$scope:{ctx:j}}}),Ht=new S({props:{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward.example-3",$$slots:{default:[ig]},$$scope:{ctx:j}}}),cn=new R({props:{name:"prepare_logits_buffer",anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.prepare_logits_buffer",parameters:[{name:"batch_size",val:""},{name:"num_labels",val:""}],source:"https://github.com/huggingface/optimum/blob/v1.6.3/optimum/onnxruntime/modeling_ort.py#L1022"}}),un=new le({}),hn=new R({props:{name:"class optimum.onnxruntime.ORTModelForSpeechSeq2Seq",anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq",parameters:[{name:"encoder_session",val:": InferenceSession"},{name:"decoder_session",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"decoder_with_past_session",val:": typing.Optional[onnxruntime.capi.onnxruntime_inference_collection.InferenceSession] = None"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"generation_config",val:": typing.Optional[transformers.generation.configuration_utils.GenerationConfig] = None"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/v1.6.3/optimum/onnxruntime/modeling_seq2seq.py#L1314"}}),gn=new R({props:{name:"can_generate",anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq.can_generate",parameters:[],source:"https://github.com/huggingface/optimum/blob/v1.6.3/optimum/onnxruntime/modeling_seq2seq.py#L1426"}}),_n=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq.forward",parameters:[{name:"input_features",val:": typing.Optional[torch.FloatTensor] = None"},{name:"decoder_input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"encoder_outputs",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.Tensor]]] = None"},{name:"past_key_values",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.Tensor]]] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq.forward.input_features",description:`<strong>input_features</strong> (<code>torch.FloatTensor</code>) &#x2014;
Mel features extracted from the raw speech waveform.
<code>(batch_size, feature_size, encoder_sequence_length)</code>.`,name:"input_features"},{anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq.forward.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>torch.LongTensor</code>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary of shape <code>(batch_size, decoder_sequence_length)</code>.`,name:"decoder_input_ids"},{anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq.forward.encoder_outputs",description:`<strong>encoder_outputs</strong> (<code>torch.FloatTensor</code>) &#x2014;
The encoder <code>last_hidden_state</code> of shape <code>(batch_size, encoder_sequence_length, hidden_size)</code>.`,name:"encoder_outputs"},{anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor), *optional*)</code> &#x2014;
Contains the precomputed key and value hidden states of the attention blocks used to speed up decoding.
The tuple is of length <code>config.n_layers</code> with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, decoder_sequence_length, embed_size_per_head)</code> and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.`,name:"past_key_values"}],source:"https://github.com/huggingface/optimum/blob/v1.6.3/optimum/onnxruntime/modeling_seq2seq.py#L1347"}}),Yt=new we({props:{$$slots:{default:[lg]},$$scope:{ctx:j}}}),Kt=new S({props:{anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq.forward.example",$$slots:{default:[pg]},$$scope:{ctx:j}}}),Zt=new S({props:{anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq.forward.example-2",$$slots:{default:[mg]},$$scope:{ctx:j}}}),$n=new le({}),vn=new R({props:{name:"class optimum.onnxruntime.ORTModelForTokenClassification",anchor:"optimum.onnxruntime.ORTModelForTokenClassification",parameters:[{name:"model",val:" = None"},{name:"config",val:" = None"},{name:"use_io_binding",val:" = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/v1.6.3/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/v1.6.3/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.use_io_binding",description:"<strong>use_io_binding</strong> (<code>bool</code>, <em>optional</em>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/v1.6.3/optimum/onnxruntime/modeling_ort.py#L1180"}}),wn=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForTokenClassification.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.
Indices can be obtained using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autotokenizer" rel="nofollow"><code>AutoTokenizer</code></a>.
See <a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.encode" rel="nofollow"><code>PreTrainedTokenizer.encode</code></a> and
<a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.__call__" rel="nofollow"><code>PreTrainedTokenizer.__call__</code></a> for details.
<a href="https://huggingface.co/docs/transformers/glossary#input-ids" rel="nofollow">What are input IDs?</a>`,name:"input_ids"},{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#attention-mask" rel="nofollow">What are attention masks?</a></li>
</ul>`,name:"attention_mask"},{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>sentence A</strong>,</li>
<li>0 for tokens that are <strong>sentence B</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#token-type-ids" rel="nofollow">What are token type IDs?</a></li>
</ul>`,name:"token_type_ids"}],source:"https://github.com/huggingface/optimum/blob/v1.6.3/optimum/onnxruntime/modeling_ort.py#L1262"}}),to=new we({props:{$$slots:{default:[dg]},$$scope:{ctx:j}}}),oo=new S({props:{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.forward.example",$$slots:{default:[cg]},$$scope:{ctx:j}}}),no=new S({props:{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.forward.example-2",$$slots:{default:[ug]},$$scope:{ctx:j}}}),xn=new R({props:{name:"prepare_logits_buffer",anchor:"optimum.onnxruntime.ORTModelForTokenClassification.prepare_logits_buffer",parameters:[{name:"batch_size",val:""},{name:"sequence_length",val:""},{name:"num_labels",val:""}],source:"https://github.com/huggingface/optimum/blob/v1.6.3/optimum/onnxruntime/modeling_ort.py#L1192"}}),{c(){s=r("meta"),_=h(),d=r("h1"),u=r("a"),f=r("span"),w(n.$$.fragment),m=h(),y=r("span"),c=l("Models"),v=h(),E=r("h2"),tt=r("a"),Dn=r("span"),w(po.$$.fragment),mi=h(),Ln=r("span"),di=l("ORTModel"),na=h(),F=r("div"),w(mo.$$.fragment),ci=h(),Xn=r("p"),ui=l("Base class for implementing models using ONNX Runtime."),hi=h(),co=r("p"),gi=l(`The ORTModel implements generic methods for interacting with the Hugging Face Hub as well as exporting vanilla
transformers models to ONNX using `),Wn=r("code"),fi=l("optimum.exporters.onnx"),_i=l(" toolchain."),$i=h(),Un=r("p"),vi=l("Class attributes:"),ki=h(),uo=r("ul"),_e=r("li"),wi=l("model_type ("),Vn=r("code"),xi=l("str"),bi=l(", "),Qn=r("em"),Ti=l("optional"),Mi=l(", defaults to "),Hn=r("code"),Oi=l('"onnx_model"'),yi=l(`) \u2014 The name of the model type to use when
registering the ORTModel classes.`),qi=h(),$e=r("li"),ji=l("auto_model_class ("),Bn=r("code"),Ei=l("Type"),Ri=l(", "),Gn=r("em"),Fi=l("optional"),Ci=l(", defaults to "),Jn=r("code"),Si=l("AutoModel"),zi=l(`) \u2014 The \u201CAutoModel\u201D class to represented by the
current ORTModel class.`),Pi=h(),Yn=r("p"),Ai=l("Common attributes:"),Ni=h(),te=r("ul"),ho=r("li"),Ii=l("model ("),Kn=r("code"),Di=l("ort.InferenceSession"),Li=l(") \u2014 The ONNX Runtime InferenceSession that is running the model."),Xi=h(),go=r("li"),Wi=l("config ("),fo=r("a"),Ui=l("PretrainedConfig"),Vi=l(" \u2014 The configuration of the model."),Qi=h(),oe=r("li"),Hi=l("use_io_binding ("),Zn=r("code"),Bi=l("bool"),Gi=l(", "),es=r("em"),Ji=l("optional"),Yi=l(", defaults to "),ts=r("code"),Ki=l("True"),Zi=l(") \u2014 Whether to use I/O bindings with "),os=r("strong"),el=l(`ONNX Runtime
with the CUDAExecutionProvider`),tl=l(", this can significantly speedup inference depending on the task."),ol=h(),_o=r("li"),nl=l("model_save_dir ("),ns=r("code"),sl=l("Path"),rl=l(`) \u2014 The directory where the model exported to ONNX is saved.
By defaults, if the loaded model is local, the directory where the original model will be used. Otherwise, the
cache directory is used.`),al=h(),ss=r("li"),il=l("providers (`List[str]) \u2014 The list of execution providers available to ONNX Runtime."),ll=h(),ot=r("div"),w($o.$$.fragment),pl=h(),rs=r("p"),ml=l("Instantiate a pretrained model from a pre-trained model configuration."),dl=h(),nt=r("div"),w(vo.$$.fragment),cl=h(),ko=r("p"),ul=l("Loads an ONNX Inference session with a given provider. Default provider is "),as=r("code"),hl=l("CPUExecutionProvider"),gl=l(` to match the
default behaviour in PyTorch/TensorFlow/JAX.`),fl=h(),st=r("div"),w(wo.$$.fragment),_l=h(),is=r("p"),$l=l("Initializes attributes that may be shared among several ONNX Runtime inference sesssions."),vl=h(),rt=r("div"),w(xo.$$.fragment),kl=h(),ls=r("p"),wl=l("Changes the ONNX Runtime provider according to the device."),sa=h(),Ce=r("h2"),at=r("a"),ps=r("span"),w(bo.$$.fragment),xl=h(),ms=r("span"),bl=l("ORTModelForCausalLM"),ra=h(),ne=r("div"),w(To.$$.fragment),Tl=h(),ds=r("p"),Ml=l("ONNX model with a causal language modeling head for ONNX Runtime inference."),Ol=h(),it=r("div"),w(Mo.$$.fragment),yl=h(),Oo=r("p"),ql=l("Returns True to validate the check that the model using "),cs=r("code"),jl=l("GenerationMixin.generate()"),El=l(" can indeed generate."),Rl=h(),Q=r("div"),w(yo.$$.fragment),Fl=h(),Se=r("p"),Cl=l("The "),us=r("code"),Sl=l("ORTModelForCausalLM"),zl=l(" forward method, overrides the "),hs=r("code"),Pl=l("__call__"),Al=l(" special method."),Nl=h(),w(lt.$$.fragment),Il=h(),w(pt.$$.fragment),Dl=h(),w(mt.$$.fragment),aa=h(),ze=r("h2"),dt=r("a"),gs=r("span"),w(qo.$$.fragment),Ll=h(),fs=r("span"),Xl=l("ORTModelForCustomTasks"),ia=h(),U=r("div"),w(jo.$$.fragment),Wl=h(),_s=r("p"),Ul=l("ONNX Model for any custom tasks. It can be used to leverage the inference acceleration for any single-file ONNX model."),Vl=h(),Eo=r("p"),Ql=l("This model inherits from [~"),$s=r("code"),Hl=l("onnxruntime.modeling_ort.ORTModel"),Bl=l(`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Gl=h(),vs=r("p"),Jl=l("Model for any custom tasks if the ONNX model is stored in a single file."),Yl=h(),H=r("div"),w(Ro.$$.fragment),Kl=h(),Pe=r("p"),Zl=l("The "),ks=r("code"),ep=l("ORTModelForCustomTasks"),tp=l(" forward method, overrides the "),ws=r("code"),op=l("__call__"),np=l(" special method."),sp=h(),w(ct.$$.fragment),rp=h(),w(ut.$$.fragment),ap=h(),w(ht.$$.fragment),la=h(),Ae=r("h2"),gt=r("a"),xs=r("span"),w(Fo.$$.fragment),ip=h(),bs=r("span"),lp=l("ORTModelForFeatureExtraction"),pa=h(),A=r("div"),w(Co.$$.fragment),pp=h(),Ts=r("p"),mp=l("Onnx Model with a MaskedLMOutput for feature-extraction tasks."),dp=h(),So=r("p"),cp=l("This model inherits from [~"),Ms=r("code"),up=l("onnxruntime.modeling_ort.ORTModel"),hp=l(`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),gp=h(),Os=r("p"),fp=l("Feature Extraction model for ONNX."),_p=h(),B=r("div"),w(zo.$$.fragment),$p=h(),Ne=r("p"),vp=l("The "),ys=r("code"),kp=l("ORTModelForFeatureExtraction"),wp=l(" forward method, overrides the "),qs=r("code"),xp=l("__call__"),bp=l(" special method."),Tp=h(),w(ft.$$.fragment),Mp=h(),w(_t.$$.fragment),Op=h(),w($t.$$.fragment),yp=h(),vt=r("div"),w(Po.$$.fragment),qp=h(),js=r("p"),jp=l("Prepares the buffer of output_name with a 1D tensor on shape: (batch_size, sequence_length, hidden_size)."),ma=h(),Ie=r("h2"),kt=r("a"),Es=r("span"),w(Ao.$$.fragment),Ep=h(),Rs=r("span"),Rp=l("ORTModelForImageClassification"),da=h(),N=r("div"),w(No.$$.fragment),Fp=h(),Fs=r("p"),Cp=l("Onnx Model for image-classification tasks."),Sp=h(),Io=r("p"),zp=l("This model inherits from [~"),Cs=r("code"),Pp=l("onnxruntime.modeling_ort.ORTModel"),Ap=l(`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Np=h(),Ss=r("p"),Ip=l("Image Classification model for ONNX."),Dp=h(),G=r("div"),w(Do.$$.fragment),Lp=h(),De=r("p"),Xp=l("The "),zs=r("code"),Wp=l("ORTModelForImageClassification"),Up=l(" forward method, overrides the "),Ps=r("code"),Vp=l("__call__"),Qp=l(" special method."),Hp=h(),w(wt.$$.fragment),Bp=h(),w(xt.$$.fragment),Gp=h(),w(bt.$$.fragment),Jp=h(),Tt=r("div"),w(Lo.$$.fragment),Yp=h(),As=r("p"),Kp=l("Prepares the buffer of logits with a 1D tensor on shape: (batch_size, config.num_labels)."),ca=h(),Le=r("h2"),Mt=r("a"),Ns=r("span"),w(Xo.$$.fragment),Zp=h(),Is=r("span"),em=l("ORTModelForMultipleChoice"),ua=h(),I=r("div"),w(Wo.$$.fragment),tm=h(),Ds=r("p"),om=l(`Onnx Model with a multiple choice classification head on top (a linear layer on top of the pooled output and a
softmax) e.g. for RocStories/SWAG tasks.`),nm=h(),Uo=r("p"),sm=l("This model inherits from [~"),Ls=r("code"),rm=l("onnxruntime.modeling_ort.ORTModel"),am=l(`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),im=h(),Xs=r("p"),lm=l("Multiple choice model for ONNX."),pm=h(),pe=r("div"),w(Vo.$$.fragment),mm=h(),Xe=r("p"),dm=l("The "),Ws=r("code"),cm=l("ORTModelForMultipleChoice"),um=l(" forward method, overrides the "),Us=r("code"),hm=l("__call__"),gm=l(" special method."),fm=h(),w(Ot.$$.fragment),_m=h(),w(yt.$$.fragment),$m=h(),qt=r("div"),w(Qo.$$.fragment),vm=h(),Vs=r("p"),km=l("Prepares the buffer of logits with a 1D tensor on shape: (batch_size, num_choices)."),ha=h(),We=r("h2"),jt=r("a"),Qs=r("span"),w(Ho.$$.fragment),wm=h(),Hs=r("span"),xm=l("ORTModelForQuestionAnswering"),ga=h(),D=r("div"),w(Bo.$$.fragment),bm=h(),Bs=r("p"),Tm=l("Onnx Model with a QuestionAnsweringModelOutput for extractive question-answering tasks like SQuAD."),Mm=h(),Go=r("p"),Om=l("This model inherits from [~"),Gs=r("code"),ym=l("onnxruntime.modeling_ort.ORTModel"),qm=l(`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),jm=h(),Js=r("p"),Em=l("Question Answering model for ONNX."),Rm=h(),J=r("div"),w(Jo.$$.fragment),Fm=h(),Ue=r("p"),Cm=l("The "),Ys=r("code"),Sm=l("ORTModelForQuestionAnswering"),zm=l(" forward method, overrides the "),Ks=r("code"),Pm=l("__call__"),Am=l(" special method."),Nm=h(),w(Et.$$.fragment),Im=h(),w(Rt.$$.fragment),Dm=h(),w(Ft.$$.fragment),Lm=h(),Ct=r("div"),w(Yo.$$.fragment),Xm=h(),Zs=r("p"),Wm=l("Prepares the buffer of logits with a 1D tensor on shape: (batch_size, sequence_length)."),fa=h(),Ve=r("h2"),St=r("a"),er=r("span"),w(Ko.$$.fragment),Um=h(),tr=r("span"),Vm=l("ORTModelForSemanticSegmentation"),_a=h(),V=r("div"),w(Zo.$$.fragment),Qm=h(),or=r("p"),Hm=l("Onnx Model with an all-MLP decode head on top e.g. for ADE20k, CityScapes."),Bm=h(),en=r("p"),Gm=l("This model inherits from [~"),nr=r("code"),Jm=l("onnxruntime.modeling_ort.ORTModel"),Ym=l(`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Km=h(),sr=r("p"),Zm=l("Semantic Segmentation model for ONNX."),ed=h(),Y=r("div"),w(tn.$$.fragment),td=h(),Qe=r("p"),od=l("The "),rr=r("code"),nd=l("ORTModelForSemanticSegmentation"),sd=l(" forward method, overrides the "),ar=r("code"),rd=l("__call__"),ad=l(" special method."),id=h(),w(zt.$$.fragment),ld=h(),w(Pt.$$.fragment),pd=h(),w(At.$$.fragment),$a=h(),He=r("h2"),Nt=r("a"),ir=r("span"),w(on.$$.fragment),md=h(),lr=r("span"),dd=l("ORTModelForSeq2SeqLM"),va=h(),se=r("div"),w(nn.$$.fragment),cd=h(),pr=r("p"),ud=l("Sequence-to-sequence model with a language modeling head for ONNX Runtime inference."),hd=h(),It=r("div"),w(sn.$$.fragment),gd=h(),rn=r("p"),fd=l("Returns True to validate the check that the model using "),mr=r("code"),_d=l("GenerationMixin.generate()"),$d=l(" can indeed generate."),vd=h(),K=r("div"),w(an.$$.fragment),kd=h(),Be=r("p"),wd=l("The "),dr=r("code"),xd=l("ORTModelForSeq2SeqLM"),bd=l(" forward method, overrides the "),cr=r("code"),Td=l("__call__"),Md=l(" special method."),Od=h(),w(Dt.$$.fragment),yd=h(),w(Lt.$$.fragment),qd=h(),w(Xt.$$.fragment),ka=h(),Ge=r("h2"),Wt=r("a"),ur=r("span"),w(ln.$$.fragment),jd=h(),hr=r("span"),Ed=l("ORTModelForSequenceClassification"),wa=h(),L=r("div"),w(pn.$$.fragment),Rd=h(),gr=r("p"),Fd=l(`Onnx Model with a sequence classification/regression head on top (a linear layer on top of the
pooled output) e.g. for GLUE tasks.`),Cd=h(),mn=r("p"),Sd=l("This model inherits from [~"),fr=r("code"),zd=l("onnxruntime.modeling_ort.ORTModel"),Pd=l(`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Ad=h(),_r=r("p"),Nd=l("Sequence Classification model for ONNX."),Id=h(),W=r("div"),w(dn.$$.fragment),Dd=h(),Je=r("p"),Ld=l("The "),$r=r("code"),Xd=l("ORTModelForSequenceClassification"),Wd=l(" forward method, overrides the "),vr=r("code"),Ud=l("__call__"),Vd=l(" special method."),Qd=h(),w(Ut.$$.fragment),Hd=h(),w(Vt.$$.fragment),Bd=h(),w(Qt.$$.fragment),Gd=h(),w(Ht.$$.fragment),Jd=h(),Bt=r("div"),w(cn.$$.fragment),Yd=h(),kr=r("p"),Kd=l("Prepares the buffer of logits with a 1D tensor on shape: (batch_size, config.num_labels)."),xa=h(),Ye=r("h2"),Gt=r("a"),wr=r("span"),w(un.$$.fragment),Zd=h(),xr=r("span"),ec=l("ORTModelForSpeechSeq2Seq"),ba=h(),re=r("div"),w(hn.$$.fragment),tc=h(),br=r("p"),oc=l("Speech Sequence-to-sequence model with a language modeling head for ONNX Runtime inference."),nc=h(),Jt=r("div"),w(gn.$$.fragment),sc=h(),fn=r("p"),rc=l("Returns True to validate the check that the model using "),Tr=r("code"),ac=l("GenerationMixin.generate()"),ic=l(" can indeed generate."),lc=h(),Z=r("div"),w(_n.$$.fragment),pc=h(),Ke=r("p"),mc=l("The "),Mr=r("code"),dc=l("ORTModelForSpeechSeq2Seq"),cc=l(" forward method, overrides the "),Or=r("code"),uc=l("__call__"),hc=l(" special method."),gc=h(),w(Yt.$$.fragment),fc=h(),w(Kt.$$.fragment),_c=h(),w(Zt.$$.fragment),Ta=h(),Ze=r("h2"),eo=r("a"),yr=r("span"),w($n.$$.fragment),$c=h(),qr=r("span"),vc=l("ORTModelForTokenClassification"),Ma=h(),X=r("div"),w(vn.$$.fragment),kc=h(),jr=r("p"),wc=l(`Onnx Model with a token classification head on top (a linear layer on top of the hidden-states output) e.g.
for Named-Entity-Recognition (NER) tasks.`),xc=h(),kn=r("p"),bc=l("This model inherits from [~"),Er=r("code"),Tc=l("onnxruntime.modeling_ort.ORTModel"),Mc=l(`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Oc=h(),Rr=r("p"),yc=l("Token Classification model for ONNX."),qc=h(),ee=r("div"),w(wn.$$.fragment),jc=h(),et=r("p"),Ec=l("The "),Fr=r("code"),Rc=l("ORTModelForTokenClassification"),Fc=l(" forward method, overrides the "),Cr=r("code"),Cc=l("__call__"),Sc=l(" special method."),zc=h(),w(to.$$.fragment),Pc=h(),w(oo.$$.fragment),Ac=h(),w(no.$$.fragment),Nc=h(),so=r("div"),w(xn.$$.fragment),Ic=h(),Sr=r("p"),Dc=l("Prepares the buffer of logits with a 1D tensor on shape: (batch_size, sequence_length, config.num_labels)."),this.h()},l(o){const $=Ch('[data-svelte="svelte-1phssyn"]',document.head);s=a($,"META",{name:!0,content:!0}),$.forEach(t),_=g(o),d=a(o,"H1",{class:!0});var bn=i(d);u=a(bn,"A",{id:!0,class:!0,href:!0});var zr=i(u);f=a(zr,"SPAN",{});var Pr=i(f);x(n.$$.fragment,Pr),Pr.forEach(t),zr.forEach(t),m=g(bn),y=a(bn,"SPAN",{});var Ar=i(y);c=p(Ar,"Models"),Ar.forEach(t),bn.forEach(t),v=g(o),E=a(o,"H2",{class:!0});var Tn=i(E);tt=a(Tn,"A",{id:!0,class:!0,href:!0});var Nr=i(tt);Dn=a(Nr,"SPAN",{});var Ir=i(Dn);x(po.$$.fragment,Ir),Ir.forEach(t),Nr.forEach(t),mi=g(Tn),Ln=a(Tn,"SPAN",{});var Dr=i(Ln);di=p(Dr,"ORTModel"),Dr.forEach(t),Tn.forEach(t),na=g(o),F=a(o,"DIV",{class:!0});var C=i(F);x(mo.$$.fragment,C),ci=g(C),Xn=a(C,"P",{});var Lr=i(Xn);ui=p(Lr,"Base class for implementing models using ONNX Runtime."),Lr.forEach(t),hi=g(C),co=a(C,"P",{});var Mn=i(co);gi=p(Mn,`The ORTModel implements generic methods for interacting with the Hugging Face Hub as well as exporting vanilla
transformers models to ONNX using `),Wn=a(Mn,"CODE",{});var Xr=i(Wn);fi=p(Xr,"optimum.exporters.onnx"),Xr.forEach(t),_i=p(Mn," toolchain."),Mn.forEach(t),$i=g(C),Un=a(C,"P",{});var Wr=i(Un);vi=p(Wr,"Class attributes:"),Wr.forEach(t),ki=g(C),uo=a(C,"UL",{});var On=i(uo);_e=a(On,"LI",{});var ve=i(_e);wi=p(ve,"model_type ("),Vn=a(ve,"CODE",{});var Ur=i(Vn);xi=p(Ur,"str"),Ur.forEach(t),bi=p(ve,", "),Qn=a(ve,"EM",{});var Vr=i(Qn);Ti=p(Vr,"optional"),Vr.forEach(t),Mi=p(ve,", defaults to "),Hn=a(ve,"CODE",{});var Qr=i(Hn);Oi=p(Qr,'"onnx_model"'),Qr.forEach(t),yi=p(ve,`) \u2014 The name of the model type to use when
registering the ORTModel classes.`),ve.forEach(t),qi=g(On),$e=a(On,"LI",{});var ke=i($e);ji=p(ke,"auto_model_class ("),Bn=a(ke,"CODE",{});var Hr=i(Bn);Ei=p(Hr,"Type"),Hr.forEach(t),Ri=p(ke,", "),Gn=a(ke,"EM",{});var Br=i(Gn);Fi=p(Br,"optional"),Br.forEach(t),Ci=p(ke,", defaults to "),Jn=a(ke,"CODE",{});var Gr=i(Jn);Si=p(Gr,"AutoModel"),Gr.forEach(t),zi=p(ke,`) \u2014 The \u201CAutoModel\u201D class to represented by the
current ORTModel class.`),ke.forEach(t),On.forEach(t),Pi=g(C),Yn=a(C,"P",{});var Jr=i(Yn);Ai=p(Jr,"Common attributes:"),Jr.forEach(t),Ni=g(C),te=a(C,"UL",{});var ae=i(te);ho=a(ae,"LI",{});var yn=i(ho);Ii=p(yn,"model ("),Kn=a(yn,"CODE",{});var Yr=i(Kn);Di=p(Yr,"ort.InferenceSession"),Yr.forEach(t),Li=p(yn,") \u2014 The ONNX Runtime InferenceSession that is running the model."),yn.forEach(t),Xi=g(ae),go=a(ae,"LI",{});var qn=i(go);Wi=p(qn,"config ("),fo=a(qn,"A",{href:!0,rel:!0});var Kr=i(fo);Ui=p(Kr,"PretrainedConfig"),Kr.forEach(t),Vi=p(qn," \u2014 The configuration of the model."),qn.forEach(t),Qi=g(ae),oe=a(ae,"LI",{});var ie=i(oe);Hi=p(ie,"use_io_binding ("),Zn=a(ie,"CODE",{});var Zr=i(Zn);Bi=p(Zr,"bool"),Zr.forEach(t),Gi=p(ie,", "),es=a(ie,"EM",{});var ea=i(es);Ji=p(ea,"optional"),ea.forEach(t),Yi=p(ie,", defaults to "),ts=a(ie,"CODE",{});var ta=i(ts);Ki=p(ta,"True"),ta.forEach(t),Zi=p(ie,") \u2014 Whether to use I/O bindings with "),os=a(ie,"STRONG",{});var oa=i(os);el=p(oa,`ONNX Runtime
with the CUDAExecutionProvider`),oa.forEach(t),tl=p(ie,", this can significantly speedup inference depending on the task."),ie.forEach(t),ol=g(ae),_o=a(ae,"LI",{});var ya=i(_o);nl=p(ya,"model_save_dir ("),ns=a(ya,"CODE",{});var Lc=i(ns);sl=p(Lc,"Path"),Lc.forEach(t),rl=p(ya,`) \u2014 The directory where the model exported to ONNX is saved.
By defaults, if the loaded model is local, the directory where the original model will be used. Otherwise, the
cache directory is used.`),ya.forEach(t),al=g(ae),ss=a(ae,"LI",{});var Xc=i(ss);il=p(Xc,"providers (`List[str]) \u2014 The list of execution providers available to ONNX Runtime."),Xc.forEach(t),ae.forEach(t),ll=g(C),ot=a(C,"DIV",{class:!0});var qa=i(ot);x($o.$$.fragment,qa),pl=g(qa),rs=a(qa,"P",{});var Wc=i(rs);ml=p(Wc,"Instantiate a pretrained model from a pre-trained model configuration."),Wc.forEach(t),qa.forEach(t),dl=g(C),nt=a(C,"DIV",{class:!0});var ja=i(nt);x(vo.$$.fragment,ja),cl=g(ja),ko=a(ja,"P",{});var Ea=i(ko);ul=p(Ea,"Loads an ONNX Inference session with a given provider. Default provider is "),as=a(Ea,"CODE",{});var Uc=i(as);hl=p(Uc,"CPUExecutionProvider"),Uc.forEach(t),gl=p(Ea,` to match the
default behaviour in PyTorch/TensorFlow/JAX.`),Ea.forEach(t),ja.forEach(t),fl=g(C),st=a(C,"DIV",{class:!0});var Ra=i(st);x(wo.$$.fragment,Ra),_l=g(Ra),is=a(Ra,"P",{});var Vc=i(is);$l=p(Vc,"Initializes attributes that may be shared among several ONNX Runtime inference sesssions."),Vc.forEach(t),Ra.forEach(t),vl=g(C),rt=a(C,"DIV",{class:!0});var Fa=i(rt);x(xo.$$.fragment,Fa),kl=g(Fa),ls=a(Fa,"P",{});var Qc=i(ls);wl=p(Qc,"Changes the ONNX Runtime provider according to the device."),Qc.forEach(t),Fa.forEach(t),C.forEach(t),sa=g(o),Ce=a(o,"H2",{class:!0});var Ca=i(Ce);at=a(Ca,"A",{id:!0,class:!0,href:!0});var Hc=i(at);ps=a(Hc,"SPAN",{});var Bc=i(ps);x(bo.$$.fragment,Bc),Bc.forEach(t),Hc.forEach(t),xl=g(Ca),ms=a(Ca,"SPAN",{});var Gc=i(ms);bl=p(Gc,"ORTModelForCausalLM"),Gc.forEach(t),Ca.forEach(t),ra=g(o),ne=a(o,"DIV",{class:!0});var ro=i(ne);x(To.$$.fragment,ro),Tl=g(ro),ds=a(ro,"P",{});var Jc=i(ds);Ml=p(Jc,"ONNX model with a causal language modeling head for ONNX Runtime inference."),Jc.forEach(t),Ol=g(ro),it=a(ro,"DIV",{class:!0});var Sa=i(it);x(Mo.$$.fragment,Sa),yl=g(Sa),Oo=a(Sa,"P",{});var za=i(Oo);ql=p(za,"Returns True to validate the check that the model using "),cs=a(za,"CODE",{});var Yc=i(cs);jl=p(Yc,"GenerationMixin.generate()"),Yc.forEach(t),El=p(za," can indeed generate."),za.forEach(t),Sa.forEach(t),Rl=g(ro),Q=a(ro,"DIV",{class:!0});var xe=i(Q);x(yo.$$.fragment,xe),Fl=g(xe),Se=a(xe,"P",{});var jn=i(Se);Cl=p(jn,"The "),us=a(jn,"CODE",{});var Kc=i(us);Sl=p(Kc,"ORTModelForCausalLM"),Kc.forEach(t),zl=p(jn," forward method, overrides the "),hs=a(jn,"CODE",{});var Zc=i(hs);Pl=p(Zc,"__call__"),Zc.forEach(t),Al=p(jn," special method."),jn.forEach(t),Nl=g(xe),x(lt.$$.fragment,xe),Il=g(xe),x(pt.$$.fragment,xe),Dl=g(xe),x(mt.$$.fragment,xe),xe.forEach(t),ro.forEach(t),aa=g(o),ze=a(o,"H2",{class:!0});var Pa=i(ze);dt=a(Pa,"A",{id:!0,class:!0,href:!0});var eu=i(dt);gs=a(eu,"SPAN",{});var tu=i(gs);x(qo.$$.fragment,tu),tu.forEach(t),eu.forEach(t),Ll=g(Pa),fs=a(Pa,"SPAN",{});var ou=i(fs);Xl=p(ou,"ORTModelForCustomTasks"),ou.forEach(t),Pa.forEach(t),ia=g(o),U=a(o,"DIV",{class:!0});var be=i(U);x(jo.$$.fragment,be),Wl=g(be),_s=a(be,"P",{});var nu=i(_s);Ul=p(nu,"ONNX Model for any custom tasks. It can be used to leverage the inference acceleration for any single-file ONNX model."),nu.forEach(t),Vl=g(be),Eo=a(be,"P",{});var Aa=i(Eo);Ql=p(Aa,"This model inherits from [~"),$s=a(Aa,"CODE",{});var su=i($s);Hl=p(su,"onnxruntime.modeling_ort.ORTModel"),su.forEach(t),Bl=p(Aa,`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Aa.forEach(t),Gl=g(be),vs=a(be,"P",{});var ru=i(vs);Jl=p(ru,"Model for any custom tasks if the ONNX model is stored in a single file."),ru.forEach(t),Yl=g(be),H=a(be,"DIV",{class:!0});var Te=i(H);x(Ro.$$.fragment,Te),Kl=g(Te),Pe=a(Te,"P",{});var En=i(Pe);Zl=p(En,"The "),ks=a(En,"CODE",{});var au=i(ks);ep=p(au,"ORTModelForCustomTasks"),au.forEach(t),tp=p(En," forward method, overrides the "),ws=a(En,"CODE",{});var iu=i(ws);op=p(iu,"__call__"),iu.forEach(t),np=p(En," special method."),En.forEach(t),sp=g(Te),x(ct.$$.fragment,Te),rp=g(Te),x(ut.$$.fragment,Te),ap=g(Te),x(ht.$$.fragment,Te),Te.forEach(t),be.forEach(t),la=g(o),Ae=a(o,"H2",{class:!0});var Na=i(Ae);gt=a(Na,"A",{id:!0,class:!0,href:!0});var lu=i(gt);xs=a(lu,"SPAN",{});var pu=i(xs);x(Fo.$$.fragment,pu),pu.forEach(t),lu.forEach(t),ip=g(Na),bs=a(Na,"SPAN",{});var mu=i(bs);lp=p(mu,"ORTModelForFeatureExtraction"),mu.forEach(t),Na.forEach(t),pa=g(o),A=a(o,"DIV",{class:!0});var me=i(A);x(Co.$$.fragment,me),pp=g(me),Ts=a(me,"P",{});var du=i(Ts);mp=p(du,"Onnx Model with a MaskedLMOutput for feature-extraction tasks."),du.forEach(t),dp=g(me),So=a(me,"P",{});var Ia=i(So);cp=p(Ia,"This model inherits from [~"),Ms=a(Ia,"CODE",{});var cu=i(Ms);up=p(cu,"onnxruntime.modeling_ort.ORTModel"),cu.forEach(t),hp=p(Ia,`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Ia.forEach(t),gp=g(me),Os=a(me,"P",{});var uu=i(Os);fp=p(uu,"Feature Extraction model for ONNX."),uu.forEach(t),_p=g(me),B=a(me,"DIV",{class:!0});var Me=i(B);x(zo.$$.fragment,Me),$p=g(Me),Ne=a(Me,"P",{});var Rn=i(Ne);vp=p(Rn,"The "),ys=a(Rn,"CODE",{});var hu=i(ys);kp=p(hu,"ORTModelForFeatureExtraction"),hu.forEach(t),wp=p(Rn," forward method, overrides the "),qs=a(Rn,"CODE",{});var gu=i(qs);xp=p(gu,"__call__"),gu.forEach(t),bp=p(Rn," special method."),Rn.forEach(t),Tp=g(Me),x(ft.$$.fragment,Me),Mp=g(Me),x(_t.$$.fragment,Me),Op=g(Me),x($t.$$.fragment,Me),Me.forEach(t),yp=g(me),vt=a(me,"DIV",{class:!0});var Da=i(vt);x(Po.$$.fragment,Da),qp=g(Da),js=a(Da,"P",{});var fu=i(js);jp=p(fu,"Prepares the buffer of output_name with a 1D tensor on shape: (batch_size, sequence_length, hidden_size)."),fu.forEach(t),Da.forEach(t),me.forEach(t),ma=g(o),Ie=a(o,"H2",{class:!0});var La=i(Ie);kt=a(La,"A",{id:!0,class:!0,href:!0});var _u=i(kt);Es=a(_u,"SPAN",{});var $u=i(Es);x(Ao.$$.fragment,$u),$u.forEach(t),_u.forEach(t),Ep=g(La),Rs=a(La,"SPAN",{});var vu=i(Rs);Rp=p(vu,"ORTModelForImageClassification"),vu.forEach(t),La.forEach(t),da=g(o),N=a(o,"DIV",{class:!0});var de=i(N);x(No.$$.fragment,de),Fp=g(de),Fs=a(de,"P",{});var ku=i(Fs);Cp=p(ku,"Onnx Model for image-classification tasks."),ku.forEach(t),Sp=g(de),Io=a(de,"P",{});var Xa=i(Io);zp=p(Xa,"This model inherits from [~"),Cs=a(Xa,"CODE",{});var wu=i(Cs);Pp=p(wu,"onnxruntime.modeling_ort.ORTModel"),wu.forEach(t),Ap=p(Xa,`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Xa.forEach(t),Np=g(de),Ss=a(de,"P",{});var xu=i(Ss);Ip=p(xu,"Image Classification model for ONNX."),xu.forEach(t),Dp=g(de),G=a(de,"DIV",{class:!0});var Oe=i(G);x(Do.$$.fragment,Oe),Lp=g(Oe),De=a(Oe,"P",{});var Fn=i(De);Xp=p(Fn,"The "),zs=a(Fn,"CODE",{});var bu=i(zs);Wp=p(bu,"ORTModelForImageClassification"),bu.forEach(t),Up=p(Fn," forward method, overrides the "),Ps=a(Fn,"CODE",{});var Tu=i(Ps);Vp=p(Tu,"__call__"),Tu.forEach(t),Qp=p(Fn," special method."),Fn.forEach(t),Hp=g(Oe),x(wt.$$.fragment,Oe),Bp=g(Oe),x(xt.$$.fragment,Oe),Gp=g(Oe),x(bt.$$.fragment,Oe),Oe.forEach(t),Jp=g(de),Tt=a(de,"DIV",{class:!0});var Wa=i(Tt);x(Lo.$$.fragment,Wa),Yp=g(Wa),As=a(Wa,"P",{});var Mu=i(As);Kp=p(Mu,"Prepares the buffer of logits with a 1D tensor on shape: (batch_size, config.num_labels)."),Mu.forEach(t),Wa.forEach(t),de.forEach(t),ca=g(o),Le=a(o,"H2",{class:!0});var Ua=i(Le);Mt=a(Ua,"A",{id:!0,class:!0,href:!0});var Ou=i(Mt);Ns=a(Ou,"SPAN",{});var yu=i(Ns);x(Xo.$$.fragment,yu),yu.forEach(t),Ou.forEach(t),Zp=g(Ua),Is=a(Ua,"SPAN",{});var qu=i(Is);em=p(qu,"ORTModelForMultipleChoice"),qu.forEach(t),Ua.forEach(t),ua=g(o),I=a(o,"DIV",{class:!0});var ce=i(I);x(Wo.$$.fragment,ce),tm=g(ce),Ds=a(ce,"P",{});var ju=i(Ds);om=p(ju,`Onnx Model with a multiple choice classification head on top (a linear layer on top of the pooled output and a
softmax) e.g. for RocStories/SWAG tasks.`),ju.forEach(t),nm=g(ce),Uo=a(ce,"P",{});var Va=i(Uo);sm=p(Va,"This model inherits from [~"),Ls=a(Va,"CODE",{});var Eu=i(Ls);rm=p(Eu,"onnxruntime.modeling_ort.ORTModel"),Eu.forEach(t),am=p(Va,`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Va.forEach(t),im=g(ce),Xs=a(ce,"P",{});var Ru=i(Xs);lm=p(Ru,"Multiple choice model for ONNX."),Ru.forEach(t),pm=g(ce),pe=a(ce,"DIV",{class:!0});var ao=i(pe);x(Vo.$$.fragment,ao),mm=g(ao),Xe=a(ao,"P",{});var Cn=i(Xe);dm=p(Cn,"The "),Ws=a(Cn,"CODE",{});var Fu=i(Ws);cm=p(Fu,"ORTModelForMultipleChoice"),Fu.forEach(t),um=p(Cn," forward method, overrides the "),Us=a(Cn,"CODE",{});var Cu=i(Us);hm=p(Cu,"__call__"),Cu.forEach(t),gm=p(Cn," special method."),Cn.forEach(t),fm=g(ao),x(Ot.$$.fragment,ao),_m=g(ao),x(yt.$$.fragment,ao),ao.forEach(t),$m=g(ce),qt=a(ce,"DIV",{class:!0});var Qa=i(qt);x(Qo.$$.fragment,Qa),vm=g(Qa),Vs=a(Qa,"P",{});var Su=i(Vs);km=p(Su,"Prepares the buffer of logits with a 1D tensor on shape: (batch_size, num_choices)."),Su.forEach(t),Qa.forEach(t),ce.forEach(t),ha=g(o),We=a(o,"H2",{class:!0});var Ha=i(We);jt=a(Ha,"A",{id:!0,class:!0,href:!0});var zu=i(jt);Qs=a(zu,"SPAN",{});var Pu=i(Qs);x(Ho.$$.fragment,Pu),Pu.forEach(t),zu.forEach(t),wm=g(Ha),Hs=a(Ha,"SPAN",{});var Au=i(Hs);xm=p(Au,"ORTModelForQuestionAnswering"),Au.forEach(t),Ha.forEach(t),ga=g(o),D=a(o,"DIV",{class:!0});var ue=i(D);x(Bo.$$.fragment,ue),bm=g(ue),Bs=a(ue,"P",{});var Nu=i(Bs);Tm=p(Nu,"Onnx Model with a QuestionAnsweringModelOutput for extractive question-answering tasks like SQuAD."),Nu.forEach(t),Mm=g(ue),Go=a(ue,"P",{});var Ba=i(Go);Om=p(Ba,"This model inherits from [~"),Gs=a(Ba,"CODE",{});var Iu=i(Gs);ym=p(Iu,"onnxruntime.modeling_ort.ORTModel"),Iu.forEach(t),qm=p(Ba,`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Ba.forEach(t),jm=g(ue),Js=a(ue,"P",{});var Du=i(Js);Em=p(Du,"Question Answering model for ONNX."),Du.forEach(t),Rm=g(ue),J=a(ue,"DIV",{class:!0});var ye=i(J);x(Jo.$$.fragment,ye),Fm=g(ye),Ue=a(ye,"P",{});var Sn=i(Ue);Cm=p(Sn,"The "),Ys=a(Sn,"CODE",{});var Lu=i(Ys);Sm=p(Lu,"ORTModelForQuestionAnswering"),Lu.forEach(t),zm=p(Sn," forward method, overrides the "),Ks=a(Sn,"CODE",{});var Xu=i(Ks);Pm=p(Xu,"__call__"),Xu.forEach(t),Am=p(Sn," special method."),Sn.forEach(t),Nm=g(ye),x(Et.$$.fragment,ye),Im=g(ye),x(Rt.$$.fragment,ye),Dm=g(ye),x(Ft.$$.fragment,ye),ye.forEach(t),Lm=g(ue),Ct=a(ue,"DIV",{class:!0});var Ga=i(Ct);x(Yo.$$.fragment,Ga),Xm=g(Ga),Zs=a(Ga,"P",{});var Wu=i(Zs);Wm=p(Wu,"Prepares the buffer of logits with a 1D tensor on shape: (batch_size, sequence_length)."),Wu.forEach(t),Ga.forEach(t),ue.forEach(t),fa=g(o),Ve=a(o,"H2",{class:!0});var Ja=i(Ve);St=a(Ja,"A",{id:!0,class:!0,href:!0});var Uu=i(St);er=a(Uu,"SPAN",{});var Vu=i(er);x(Ko.$$.fragment,Vu),Vu.forEach(t),Uu.forEach(t),Um=g(Ja),tr=a(Ja,"SPAN",{});var Qu=i(tr);Vm=p(Qu,"ORTModelForSemanticSegmentation"),Qu.forEach(t),Ja.forEach(t),_a=g(o),V=a(o,"DIV",{class:!0});var qe=i(V);x(Zo.$$.fragment,qe),Qm=g(qe),or=a(qe,"P",{});var Hu=i(or);Hm=p(Hu,"Onnx Model with an all-MLP decode head on top e.g. for ADE20k, CityScapes."),Hu.forEach(t),Bm=g(qe),en=a(qe,"P",{});var Ya=i(en);Gm=p(Ya,"This model inherits from [~"),nr=a(Ya,"CODE",{});var Bu=i(nr);Jm=p(Bu,"onnxruntime.modeling_ort.ORTModel"),Bu.forEach(t),Ym=p(Ya,`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Ya.forEach(t),Km=g(qe),sr=a(qe,"P",{});var Gu=i(sr);Zm=p(Gu,"Semantic Segmentation model for ONNX."),Gu.forEach(t),ed=g(qe),Y=a(qe,"DIV",{class:!0});var je=i(Y);x(tn.$$.fragment,je),td=g(je),Qe=a(je,"P",{});var zn=i(Qe);od=p(zn,"The "),rr=a(zn,"CODE",{});var Ju=i(rr);nd=p(Ju,"ORTModelForSemanticSegmentation"),Ju.forEach(t),sd=p(zn," forward method, overrides the "),ar=a(zn,"CODE",{});var Yu=i(ar);rd=p(Yu,"__call__"),Yu.forEach(t),ad=p(zn," special method."),zn.forEach(t),id=g(je),x(zt.$$.fragment,je),ld=g(je),x(Pt.$$.fragment,je),pd=g(je),x(At.$$.fragment,je),je.forEach(t),qe.forEach(t),$a=g(o),He=a(o,"H2",{class:!0});var Ka=i(He);Nt=a(Ka,"A",{id:!0,class:!0,href:!0});var Ku=i(Nt);ir=a(Ku,"SPAN",{});var Zu=i(ir);x(on.$$.fragment,Zu),Zu.forEach(t),Ku.forEach(t),md=g(Ka),lr=a(Ka,"SPAN",{});var eh=i(lr);dd=p(eh,"ORTModelForSeq2SeqLM"),eh.forEach(t),Ka.forEach(t),va=g(o),se=a(o,"DIV",{class:!0});var io=i(se);x(nn.$$.fragment,io),cd=g(io),pr=a(io,"P",{});var th=i(pr);ud=p(th,"Sequence-to-sequence model with a language modeling head for ONNX Runtime inference."),th.forEach(t),hd=g(io),It=a(io,"DIV",{class:!0});var Za=i(It);x(sn.$$.fragment,Za),gd=g(Za),rn=a(Za,"P",{});var ei=i(rn);fd=p(ei,"Returns True to validate the check that the model using "),mr=a(ei,"CODE",{});var oh=i(mr);_d=p(oh,"GenerationMixin.generate()"),oh.forEach(t),$d=p(ei," can indeed generate."),ei.forEach(t),Za.forEach(t),vd=g(io),K=a(io,"DIV",{class:!0});var Ee=i(K);x(an.$$.fragment,Ee),kd=g(Ee),Be=a(Ee,"P",{});var Pn=i(Be);wd=p(Pn,"The "),dr=a(Pn,"CODE",{});var nh=i(dr);xd=p(nh,"ORTModelForSeq2SeqLM"),nh.forEach(t),bd=p(Pn," forward method, overrides the "),cr=a(Pn,"CODE",{});var sh=i(cr);Td=p(sh,"__call__"),sh.forEach(t),Md=p(Pn," special method."),Pn.forEach(t),Od=g(Ee),x(Dt.$$.fragment,Ee),yd=g(Ee),x(Lt.$$.fragment,Ee),qd=g(Ee),x(Xt.$$.fragment,Ee),Ee.forEach(t),io.forEach(t),ka=g(o),Ge=a(o,"H2",{class:!0});var ti=i(Ge);Wt=a(ti,"A",{id:!0,class:!0,href:!0});var rh=i(Wt);ur=a(rh,"SPAN",{});var ah=i(ur);x(ln.$$.fragment,ah),ah.forEach(t),rh.forEach(t),jd=g(ti),hr=a(ti,"SPAN",{});var ih=i(hr);Ed=p(ih,"ORTModelForSequenceClassification"),ih.forEach(t),ti.forEach(t),wa=g(o),L=a(o,"DIV",{class:!0});var he=i(L);x(pn.$$.fragment,he),Rd=g(he),gr=a(he,"P",{});var lh=i(gr);Fd=p(lh,`Onnx Model with a sequence classification/regression head on top (a linear layer on top of the
pooled output) e.g. for GLUE tasks.`),lh.forEach(t),Cd=g(he),mn=a(he,"P",{});var oi=i(mn);Sd=p(oi,"This model inherits from [~"),fr=a(oi,"CODE",{});var ph=i(fr);zd=p(ph,"onnxruntime.modeling_ort.ORTModel"),ph.forEach(t),Pd=p(oi,`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),oi.forEach(t),Ad=g(he),_r=a(he,"P",{});var mh=i(_r);Nd=p(mh,"Sequence Classification model for ONNX."),mh.forEach(t),Id=g(he),W=a(he,"DIV",{class:!0});var ge=i(W);x(dn.$$.fragment,ge),Dd=g(ge),Je=a(ge,"P",{});var An=i(Je);Ld=p(An,"The "),$r=a(An,"CODE",{});var dh=i($r);Xd=p(dh,"ORTModelForSequenceClassification"),dh.forEach(t),Wd=p(An," forward method, overrides the "),vr=a(An,"CODE",{});var ch=i(vr);Ud=p(ch,"__call__"),ch.forEach(t),Vd=p(An," special method."),An.forEach(t),Qd=g(ge),x(Ut.$$.fragment,ge),Hd=g(ge),x(Vt.$$.fragment,ge),Bd=g(ge),x(Qt.$$.fragment,ge),Gd=g(ge),x(Ht.$$.fragment,ge),ge.forEach(t),Jd=g(he),Bt=a(he,"DIV",{class:!0});var ni=i(Bt);x(cn.$$.fragment,ni),Yd=g(ni),kr=a(ni,"P",{});var uh=i(kr);Kd=p(uh,"Prepares the buffer of logits with a 1D tensor on shape: (batch_size, config.num_labels)."),uh.forEach(t),ni.forEach(t),he.forEach(t),xa=g(o),Ye=a(o,"H2",{class:!0});var si=i(Ye);Gt=a(si,"A",{id:!0,class:!0,href:!0});var hh=i(Gt);wr=a(hh,"SPAN",{});var gh=i(wr);x(un.$$.fragment,gh),gh.forEach(t),hh.forEach(t),Zd=g(si),xr=a(si,"SPAN",{});var fh=i(xr);ec=p(fh,"ORTModelForSpeechSeq2Seq"),fh.forEach(t),si.forEach(t),ba=g(o),re=a(o,"DIV",{class:!0});var lo=i(re);x(hn.$$.fragment,lo),tc=g(lo),br=a(lo,"P",{});var _h=i(br);oc=p(_h,"Speech Sequence-to-sequence model with a language modeling head for ONNX Runtime inference."),_h.forEach(t),nc=g(lo),Jt=a(lo,"DIV",{class:!0});var ri=i(Jt);x(gn.$$.fragment,ri),sc=g(ri),fn=a(ri,"P",{});var ai=i(fn);rc=p(ai,"Returns True to validate the check that the model using "),Tr=a(ai,"CODE",{});var $h=i(Tr);ac=p($h,"GenerationMixin.generate()"),$h.forEach(t),ic=p(ai," can indeed generate."),ai.forEach(t),ri.forEach(t),lc=g(lo),Z=a(lo,"DIV",{class:!0});var Re=i(Z);x(_n.$$.fragment,Re),pc=g(Re),Ke=a(Re,"P",{});var Nn=i(Ke);mc=p(Nn,"The "),Mr=a(Nn,"CODE",{});var vh=i(Mr);dc=p(vh,"ORTModelForSpeechSeq2Seq"),vh.forEach(t),cc=p(Nn," forward method, overrides the "),Or=a(Nn,"CODE",{});var kh=i(Or);uc=p(kh,"__call__"),kh.forEach(t),hc=p(Nn," special method."),Nn.forEach(t),gc=g(Re),x(Yt.$$.fragment,Re),fc=g(Re),x(Kt.$$.fragment,Re),_c=g(Re),x(Zt.$$.fragment,Re),Re.forEach(t),lo.forEach(t),Ta=g(o),Ze=a(o,"H2",{class:!0});var ii=i(Ze);eo=a(ii,"A",{id:!0,class:!0,href:!0});var wh=i(eo);yr=a(wh,"SPAN",{});var xh=i(yr);x($n.$$.fragment,xh),xh.forEach(t),wh.forEach(t),$c=g(ii),qr=a(ii,"SPAN",{});var bh=i(qr);vc=p(bh,"ORTModelForTokenClassification"),bh.forEach(t),ii.forEach(t),Ma=g(o),X=a(o,"DIV",{class:!0});var fe=i(X);x(vn.$$.fragment,fe),kc=g(fe),jr=a(fe,"P",{});var Th=i(jr);wc=p(Th,`Onnx Model with a token classification head on top (a linear layer on top of the hidden-states output) e.g.
for Named-Entity-Recognition (NER) tasks.`),Th.forEach(t),xc=g(fe),kn=a(fe,"P",{});var li=i(kn);bc=p(li,"This model inherits from [~"),Er=a(li,"CODE",{});var Mh=i(Er);Tc=p(Mh,"onnxruntime.modeling_ort.ORTModel"),Mh.forEach(t),Mc=p(li,`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),li.forEach(t),Oc=g(fe),Rr=a(fe,"P",{});var Oh=i(Rr);yc=p(Oh,"Token Classification model for ONNX."),Oh.forEach(t),qc=g(fe),ee=a(fe,"DIV",{class:!0});var Fe=i(ee);x(wn.$$.fragment,Fe),jc=g(Fe),et=a(Fe,"P",{});var In=i(et);Ec=p(In,"The "),Fr=a(In,"CODE",{});var yh=i(Fr);Rc=p(yh,"ORTModelForTokenClassification"),yh.forEach(t),Fc=p(In," forward method, overrides the "),Cr=a(In,"CODE",{});var qh=i(Cr);Cc=p(qh,"__call__"),qh.forEach(t),Sc=p(In," special method."),In.forEach(t),zc=g(Fe),x(to.$$.fragment,Fe),Pc=g(Fe),x(oo.$$.fragment,Fe),Ac=g(Fe),x(no.$$.fragment,Fe),Fe.forEach(t),Nc=g(fe),so=a(fe,"DIV",{class:!0});var pi=i(so);x(xn.$$.fragment,pi),Ic=g(pi),Sr=a(pi,"P",{});var jh=i(Sr);Dc=p(jh,"Prepares the buffer of logits with a 1D tensor on shape: (batch_size, sequence_length, config.num_labels)."),jh.forEach(t),pi.forEach(t),fe.forEach(t),this.h()},h(){q(s,"name","hf:doc:metadata"),q(s,"content",JSON.stringify(gg)),q(u,"id","models"),q(u,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(u,"href","#models"),q(d,"class","relative group"),q(tt,"id","optimum.onnxruntime.ORTModel"),q(tt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(tt,"href","#optimum.onnxruntime.ORTModel"),q(E,"class","relative group"),q(fo,"href","https://huggingface.co/docs/transformers/v4.26.0/en/main_classes/configuration#transformers.PretrainedConfig"),q(fo,"rel","nofollow"),q(ot,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(nt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(st,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(rt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(F,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(at,"id","optimum.onnxruntime.ORTModelForCausalLM"),q(at,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(at,"href","#optimum.onnxruntime.ORTModelForCausalLM"),q(Ce,"class","relative group"),q(it,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(Q,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(ne,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(dt,"id","optimum.onnxruntime.ORTModelForCustomTasks"),q(dt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(dt,"href","#optimum.onnxruntime.ORTModelForCustomTasks"),q(ze,"class","relative group"),q(H,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(U,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(gt,"id","optimum.onnxruntime.ORTModelForFeatureExtraction"),q(gt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(gt,"href","#optimum.onnxruntime.ORTModelForFeatureExtraction"),q(Ae,"class","relative group"),q(B,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(vt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(A,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(kt,"id","optimum.onnxruntime.ORTModelForImageClassification"),q(kt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(kt,"href","#optimum.onnxruntime.ORTModelForImageClassification"),q(Ie,"class","relative group"),q(G,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(Tt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(N,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(Mt,"id","optimum.onnxruntime.ORTModelForMultipleChoice"),q(Mt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(Mt,"href","#optimum.onnxruntime.ORTModelForMultipleChoice"),q(Le,"class","relative group"),q(pe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(qt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(I,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(jt,"id","optimum.onnxruntime.ORTModelForQuestionAnswering"),q(jt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(jt,"href","#optimum.onnxruntime.ORTModelForQuestionAnswering"),q(We,"class","relative group"),q(J,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(Ct,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(D,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(St,"id","optimum.onnxruntime.ORTModelForSemanticSegmentation"),q(St,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(St,"href","#optimum.onnxruntime.ORTModelForSemanticSegmentation"),q(Ve,"class","relative group"),q(Y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(V,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(Nt,"id","optimum.onnxruntime.ORTModelForSeq2SeqLM"),q(Nt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(Nt,"href","#optimum.onnxruntime.ORTModelForSeq2SeqLM"),q(He,"class","relative group"),q(It,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(K,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(se,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(Wt,"id","optimum.onnxruntime.ORTModelForSequenceClassification"),q(Wt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(Wt,"href","#optimum.onnxruntime.ORTModelForSequenceClassification"),q(Ge,"class","relative group"),q(W,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(Bt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(L,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(Gt,"id","optimum.onnxruntime.ORTModelForSpeechSeq2Seq"),q(Gt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(Gt,"href","#optimum.onnxruntime.ORTModelForSpeechSeq2Seq"),q(Ye,"class","relative group"),q(Jt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(Z,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(re,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(eo,"id","optimum.onnxruntime.ORTModelForTokenClassification"),q(eo,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(eo,"href","#optimum.onnxruntime.ORTModelForTokenClassification"),q(Ze,"class","relative group"),q(ee,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(so,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(X,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(o,$){e(document.head,s),k(o,_,$),k(o,d,$),e(d,u),e(u,f),b(n,f,null),e(d,m),e(d,y),e(y,c),k(o,v,$),k(o,E,$),e(E,tt),e(tt,Dn),b(po,Dn,null),e(E,mi),e(E,Ln),e(Ln,di),k(o,na,$),k(o,F,$),b(mo,F,null),e(F,ci),e(F,Xn),e(Xn,ui),e(F,hi),e(F,co),e(co,gi),e(co,Wn),e(Wn,fi),e(co,_i),e(F,$i),e(F,Un),e(Un,vi),e(F,ki),e(F,uo),e(uo,_e),e(_e,wi),e(_e,Vn),e(Vn,xi),e(_e,bi),e(_e,Qn),e(Qn,Ti),e(_e,Mi),e(_e,Hn),e(Hn,Oi),e(_e,yi),e(uo,qi),e(uo,$e),e($e,ji),e($e,Bn),e(Bn,Ei),e($e,Ri),e($e,Gn),e(Gn,Fi),e($e,Ci),e($e,Jn),e(Jn,Si),e($e,zi),e(F,Pi),e(F,Yn),e(Yn,Ai),e(F,Ni),e(F,te),e(te,ho),e(ho,Ii),e(ho,Kn),e(Kn,Di),e(ho,Li),e(te,Xi),e(te,go),e(go,Wi),e(go,fo),e(fo,Ui),e(go,Vi),e(te,Qi),e(te,oe),e(oe,Hi),e(oe,Zn),e(Zn,Bi),e(oe,Gi),e(oe,es),e(es,Ji),e(oe,Yi),e(oe,ts),e(ts,Ki),e(oe,Zi),e(oe,os),e(os,el),e(oe,tl),e(te,ol),e(te,_o),e(_o,nl),e(_o,ns),e(ns,sl),e(_o,rl),e(te,al),e(te,ss),e(ss,il),e(F,ll),e(F,ot),b($o,ot,null),e(ot,pl),e(ot,rs),e(rs,ml),e(F,dl),e(F,nt),b(vo,nt,null),e(nt,cl),e(nt,ko),e(ko,ul),e(ko,as),e(as,hl),e(ko,gl),e(F,fl),e(F,st),b(wo,st,null),e(st,_l),e(st,is),e(is,$l),e(F,vl),e(F,rt),b(xo,rt,null),e(rt,kl),e(rt,ls),e(ls,wl),k(o,sa,$),k(o,Ce,$),e(Ce,at),e(at,ps),b(bo,ps,null),e(Ce,xl),e(Ce,ms),e(ms,bl),k(o,ra,$),k(o,ne,$),b(To,ne,null),e(ne,Tl),e(ne,ds),e(ds,Ml),e(ne,Ol),e(ne,it),b(Mo,it,null),e(it,yl),e(it,Oo),e(Oo,ql),e(Oo,cs),e(cs,jl),e(Oo,El),e(ne,Rl),e(ne,Q),b(yo,Q,null),e(Q,Fl),e(Q,Se),e(Se,Cl),e(Se,us),e(us,Sl),e(Se,zl),e(Se,hs),e(hs,Pl),e(Se,Al),e(Q,Nl),b(lt,Q,null),e(Q,Il),b(pt,Q,null),e(Q,Dl),b(mt,Q,null),k(o,aa,$),k(o,ze,$),e(ze,dt),e(dt,gs),b(qo,gs,null),e(ze,Ll),e(ze,fs),e(fs,Xl),k(o,ia,$),k(o,U,$),b(jo,U,null),e(U,Wl),e(U,_s),e(_s,Ul),e(U,Vl),e(U,Eo),e(Eo,Ql),e(Eo,$s),e($s,Hl),e(Eo,Bl),e(U,Gl),e(U,vs),e(vs,Jl),e(U,Yl),e(U,H),b(Ro,H,null),e(H,Kl),e(H,Pe),e(Pe,Zl),e(Pe,ks),e(ks,ep),e(Pe,tp),e(Pe,ws),e(ws,op),e(Pe,np),e(H,sp),b(ct,H,null),e(H,rp),b(ut,H,null),e(H,ap),b(ht,H,null),k(o,la,$),k(o,Ae,$),e(Ae,gt),e(gt,xs),b(Fo,xs,null),e(Ae,ip),e(Ae,bs),e(bs,lp),k(o,pa,$),k(o,A,$),b(Co,A,null),e(A,pp),e(A,Ts),e(Ts,mp),e(A,dp),e(A,So),e(So,cp),e(So,Ms),e(Ms,up),e(So,hp),e(A,gp),e(A,Os),e(Os,fp),e(A,_p),e(A,B),b(zo,B,null),e(B,$p),e(B,Ne),e(Ne,vp),e(Ne,ys),e(ys,kp),e(Ne,wp),e(Ne,qs),e(qs,xp),e(Ne,bp),e(B,Tp),b(ft,B,null),e(B,Mp),b(_t,B,null),e(B,Op),b($t,B,null),e(A,yp),e(A,vt),b(Po,vt,null),e(vt,qp),e(vt,js),e(js,jp),k(o,ma,$),k(o,Ie,$),e(Ie,kt),e(kt,Es),b(Ao,Es,null),e(Ie,Ep),e(Ie,Rs),e(Rs,Rp),k(o,da,$),k(o,N,$),b(No,N,null),e(N,Fp),e(N,Fs),e(Fs,Cp),e(N,Sp),e(N,Io),e(Io,zp),e(Io,Cs),e(Cs,Pp),e(Io,Ap),e(N,Np),e(N,Ss),e(Ss,Ip),e(N,Dp),e(N,G),b(Do,G,null),e(G,Lp),e(G,De),e(De,Xp),e(De,zs),e(zs,Wp),e(De,Up),e(De,Ps),e(Ps,Vp),e(De,Qp),e(G,Hp),b(wt,G,null),e(G,Bp),b(xt,G,null),e(G,Gp),b(bt,G,null),e(N,Jp),e(N,Tt),b(Lo,Tt,null),e(Tt,Yp),e(Tt,As),e(As,Kp),k(o,ca,$),k(o,Le,$),e(Le,Mt),e(Mt,Ns),b(Xo,Ns,null),e(Le,Zp),e(Le,Is),e(Is,em),k(o,ua,$),k(o,I,$),b(Wo,I,null),e(I,tm),e(I,Ds),e(Ds,om),e(I,nm),e(I,Uo),e(Uo,sm),e(Uo,Ls),e(Ls,rm),e(Uo,am),e(I,im),e(I,Xs),e(Xs,lm),e(I,pm),e(I,pe),b(Vo,pe,null),e(pe,mm),e(pe,Xe),e(Xe,dm),e(Xe,Ws),e(Ws,cm),e(Xe,um),e(Xe,Us),e(Us,hm),e(Xe,gm),e(pe,fm),b(Ot,pe,null),e(pe,_m),b(yt,pe,null),e(I,$m),e(I,qt),b(Qo,qt,null),e(qt,vm),e(qt,Vs),e(Vs,km),k(o,ha,$),k(o,We,$),e(We,jt),e(jt,Qs),b(Ho,Qs,null),e(We,wm),e(We,Hs),e(Hs,xm),k(o,ga,$),k(o,D,$),b(Bo,D,null),e(D,bm),e(D,Bs),e(Bs,Tm),e(D,Mm),e(D,Go),e(Go,Om),e(Go,Gs),e(Gs,ym),e(Go,qm),e(D,jm),e(D,Js),e(Js,Em),e(D,Rm),e(D,J),b(Jo,J,null),e(J,Fm),e(J,Ue),e(Ue,Cm),e(Ue,Ys),e(Ys,Sm),e(Ue,zm),e(Ue,Ks),e(Ks,Pm),e(Ue,Am),e(J,Nm),b(Et,J,null),e(J,Im),b(Rt,J,null),e(J,Dm),b(Ft,J,null),e(D,Lm),e(D,Ct),b(Yo,Ct,null),e(Ct,Xm),e(Ct,Zs),e(Zs,Wm),k(o,fa,$),k(o,Ve,$),e(Ve,St),e(St,er),b(Ko,er,null),e(Ve,Um),e(Ve,tr),e(tr,Vm),k(o,_a,$),k(o,V,$),b(Zo,V,null),e(V,Qm),e(V,or),e(or,Hm),e(V,Bm),e(V,en),e(en,Gm),e(en,nr),e(nr,Jm),e(en,Ym),e(V,Km),e(V,sr),e(sr,Zm),e(V,ed),e(V,Y),b(tn,Y,null),e(Y,td),e(Y,Qe),e(Qe,od),e(Qe,rr),e(rr,nd),e(Qe,sd),e(Qe,ar),e(ar,rd),e(Qe,ad),e(Y,id),b(zt,Y,null),e(Y,ld),b(Pt,Y,null),e(Y,pd),b(At,Y,null),k(o,$a,$),k(o,He,$),e(He,Nt),e(Nt,ir),b(on,ir,null),e(He,md),e(He,lr),e(lr,dd),k(o,va,$),k(o,se,$),b(nn,se,null),e(se,cd),e(se,pr),e(pr,ud),e(se,hd),e(se,It),b(sn,It,null),e(It,gd),e(It,rn),e(rn,fd),e(rn,mr),e(mr,_d),e(rn,$d),e(se,vd),e(se,K),b(an,K,null),e(K,kd),e(K,Be),e(Be,wd),e(Be,dr),e(dr,xd),e(Be,bd),e(Be,cr),e(cr,Td),e(Be,Md),e(K,Od),b(Dt,K,null),e(K,yd),b(Lt,K,null),e(K,qd),b(Xt,K,null),k(o,ka,$),k(o,Ge,$),e(Ge,Wt),e(Wt,ur),b(ln,ur,null),e(Ge,jd),e(Ge,hr),e(hr,Ed),k(o,wa,$),k(o,L,$),b(pn,L,null),e(L,Rd),e(L,gr),e(gr,Fd),e(L,Cd),e(L,mn),e(mn,Sd),e(mn,fr),e(fr,zd),e(mn,Pd),e(L,Ad),e(L,_r),e(_r,Nd),e(L,Id),e(L,W),b(dn,W,null),e(W,Dd),e(W,Je),e(Je,Ld),e(Je,$r),e($r,Xd),e(Je,Wd),e(Je,vr),e(vr,Ud),e(Je,Vd),e(W,Qd),b(Ut,W,null),e(W,Hd),b(Vt,W,null),e(W,Bd),b(Qt,W,null),e(W,Gd),b(Ht,W,null),e(L,Jd),e(L,Bt),b(cn,Bt,null),e(Bt,Yd),e(Bt,kr),e(kr,Kd),k(o,xa,$),k(o,Ye,$),e(Ye,Gt),e(Gt,wr),b(un,wr,null),e(Ye,Zd),e(Ye,xr),e(xr,ec),k(o,ba,$),k(o,re,$),b(hn,re,null),e(re,tc),e(re,br),e(br,oc),e(re,nc),e(re,Jt),b(gn,Jt,null),e(Jt,sc),e(Jt,fn),e(fn,rc),e(fn,Tr),e(Tr,ac),e(fn,ic),e(re,lc),e(re,Z),b(_n,Z,null),e(Z,pc),e(Z,Ke),e(Ke,mc),e(Ke,Mr),e(Mr,dc),e(Ke,cc),e(Ke,Or),e(Or,uc),e(Ke,hc),e(Z,gc),b(Yt,Z,null),e(Z,fc),b(Kt,Z,null),e(Z,_c),b(Zt,Z,null),k(o,Ta,$),k(o,Ze,$),e(Ze,eo),e(eo,yr),b($n,yr,null),e(Ze,$c),e(Ze,qr),e(qr,vc),k(o,Ma,$),k(o,X,$),b(vn,X,null),e(X,kc),e(X,jr),e(jr,wc),e(X,xc),e(X,kn),e(kn,bc),e(kn,Er),e(Er,Tc),e(kn,Mc),e(X,Oc),e(X,Rr),e(Rr,yc),e(X,qc),e(X,ee),b(wn,ee,null),e(ee,jc),e(ee,et),e(et,Ec),e(et,Fr),e(Fr,Rc),e(et,Fc),e(et,Cr),e(Cr,Cc),e(et,Sc),e(ee,zc),b(to,ee,null),e(ee,Pc),b(oo,ee,null),e(ee,Ac),b(no,ee,null),e(X,Nc),e(X,so),b(xn,so,null),e(so,Ic),e(so,Sr),e(Sr,Dc),Oa=!0},p(o,[$]){const bn={};$&2&&(bn.$$scope={dirty:$,ctx:o}),lt.$set(bn);const zr={};$&2&&(zr.$$scope={dirty:$,ctx:o}),pt.$set(zr);const Pr={};$&2&&(Pr.$$scope={dirty:$,ctx:o}),mt.$set(Pr);const Ar={};$&2&&(Ar.$$scope={dirty:$,ctx:o}),ct.$set(Ar);const Tn={};$&2&&(Tn.$$scope={dirty:$,ctx:o}),ut.$set(Tn);const Nr={};$&2&&(Nr.$$scope={dirty:$,ctx:o}),ht.$set(Nr);const Ir={};$&2&&(Ir.$$scope={dirty:$,ctx:o}),ft.$set(Ir);const Dr={};$&2&&(Dr.$$scope={dirty:$,ctx:o}),_t.$set(Dr);const C={};$&2&&(C.$$scope={dirty:$,ctx:o}),$t.$set(C);const Lr={};$&2&&(Lr.$$scope={dirty:$,ctx:o}),wt.$set(Lr);const Mn={};$&2&&(Mn.$$scope={dirty:$,ctx:o}),xt.$set(Mn);const Xr={};$&2&&(Xr.$$scope={dirty:$,ctx:o}),bt.$set(Xr);const Wr={};$&2&&(Wr.$$scope={dirty:$,ctx:o}),Ot.$set(Wr);const On={};$&2&&(On.$$scope={dirty:$,ctx:o}),yt.$set(On);const ve={};$&2&&(ve.$$scope={dirty:$,ctx:o}),Et.$set(ve);const Ur={};$&2&&(Ur.$$scope={dirty:$,ctx:o}),Rt.$set(Ur);const Vr={};$&2&&(Vr.$$scope={dirty:$,ctx:o}),Ft.$set(Vr);const Qr={};$&2&&(Qr.$$scope={dirty:$,ctx:o}),zt.$set(Qr);const ke={};$&2&&(ke.$$scope={dirty:$,ctx:o}),Pt.$set(ke);const Hr={};$&2&&(Hr.$$scope={dirty:$,ctx:o}),At.$set(Hr);const Br={};$&2&&(Br.$$scope={dirty:$,ctx:o}),Dt.$set(Br);const Gr={};$&2&&(Gr.$$scope={dirty:$,ctx:o}),Lt.$set(Gr);const Jr={};$&2&&(Jr.$$scope={dirty:$,ctx:o}),Xt.$set(Jr);const ae={};$&2&&(ae.$$scope={dirty:$,ctx:o}),Ut.$set(ae);const yn={};$&2&&(yn.$$scope={dirty:$,ctx:o}),Vt.$set(yn);const Yr={};$&2&&(Yr.$$scope={dirty:$,ctx:o}),Qt.$set(Yr);const qn={};$&2&&(qn.$$scope={dirty:$,ctx:o}),Ht.$set(qn);const Kr={};$&2&&(Kr.$$scope={dirty:$,ctx:o}),Yt.$set(Kr);const ie={};$&2&&(ie.$$scope={dirty:$,ctx:o}),Kt.$set(ie);const Zr={};$&2&&(Zr.$$scope={dirty:$,ctx:o}),Zt.$set(Zr);const ea={};$&2&&(ea.$$scope={dirty:$,ctx:o}),to.$set(ea);const ta={};$&2&&(ta.$$scope={dirty:$,ctx:o}),oo.$set(ta);const oa={};$&2&&(oa.$$scope={dirty:$,ctx:o}),no.$set(oa)},i(o){Oa||(T(n.$$.fragment,o),T(po.$$.fragment,o),T(mo.$$.fragment,o),T($o.$$.fragment,o),T(vo.$$.fragment,o),T(wo.$$.fragment,o),T(xo.$$.fragment,o),T(bo.$$.fragment,o),T(To.$$.fragment,o),T(Mo.$$.fragment,o),T(yo.$$.fragment,o),T(lt.$$.fragment,o),T(pt.$$.fragment,o),T(mt.$$.fragment,o),T(qo.$$.fragment,o),T(jo.$$.fragment,o),T(Ro.$$.fragment,o),T(ct.$$.fragment,o),T(ut.$$.fragment,o),T(ht.$$.fragment,o),T(Fo.$$.fragment,o),T(Co.$$.fragment,o),T(zo.$$.fragment,o),T(ft.$$.fragment,o),T(_t.$$.fragment,o),T($t.$$.fragment,o),T(Po.$$.fragment,o),T(Ao.$$.fragment,o),T(No.$$.fragment,o),T(Do.$$.fragment,o),T(wt.$$.fragment,o),T(xt.$$.fragment,o),T(bt.$$.fragment,o),T(Lo.$$.fragment,o),T(Xo.$$.fragment,o),T(Wo.$$.fragment,o),T(Vo.$$.fragment,o),T(Ot.$$.fragment,o),T(yt.$$.fragment,o),T(Qo.$$.fragment,o),T(Ho.$$.fragment,o),T(Bo.$$.fragment,o),T(Jo.$$.fragment,o),T(Et.$$.fragment,o),T(Rt.$$.fragment,o),T(Ft.$$.fragment,o),T(Yo.$$.fragment,o),T(Ko.$$.fragment,o),T(Zo.$$.fragment,o),T(tn.$$.fragment,o),T(zt.$$.fragment,o),T(Pt.$$.fragment,o),T(At.$$.fragment,o),T(on.$$.fragment,o),T(nn.$$.fragment,o),T(sn.$$.fragment,o),T(an.$$.fragment,o),T(Dt.$$.fragment,o),T(Lt.$$.fragment,o),T(Xt.$$.fragment,o),T(ln.$$.fragment,o),T(pn.$$.fragment,o),T(dn.$$.fragment,o),T(Ut.$$.fragment,o),T(Vt.$$.fragment,o),T(Qt.$$.fragment,o),T(Ht.$$.fragment,o),T(cn.$$.fragment,o),T(un.$$.fragment,o),T(hn.$$.fragment,o),T(gn.$$.fragment,o),T(_n.$$.fragment,o),T(Yt.$$.fragment,o),T(Kt.$$.fragment,o),T(Zt.$$.fragment,o),T($n.$$.fragment,o),T(vn.$$.fragment,o),T(wn.$$.fragment,o),T(to.$$.fragment,o),T(oo.$$.fragment,o),T(no.$$.fragment,o),T(xn.$$.fragment,o),Oa=!0)},o(o){M(n.$$.fragment,o),M(po.$$.fragment,o),M(mo.$$.fragment,o),M($o.$$.fragment,o),M(vo.$$.fragment,o),M(wo.$$.fragment,o),M(xo.$$.fragment,o),M(bo.$$.fragment,o),M(To.$$.fragment,o),M(Mo.$$.fragment,o),M(yo.$$.fragment,o),M(lt.$$.fragment,o),M(pt.$$.fragment,o),M(mt.$$.fragment,o),M(qo.$$.fragment,o),M(jo.$$.fragment,o),M(Ro.$$.fragment,o),M(ct.$$.fragment,o),M(ut.$$.fragment,o),M(ht.$$.fragment,o),M(Fo.$$.fragment,o),M(Co.$$.fragment,o),M(zo.$$.fragment,o),M(ft.$$.fragment,o),M(_t.$$.fragment,o),M($t.$$.fragment,o),M(Po.$$.fragment,o),M(Ao.$$.fragment,o),M(No.$$.fragment,o),M(Do.$$.fragment,o),M(wt.$$.fragment,o),M(xt.$$.fragment,o),M(bt.$$.fragment,o),M(Lo.$$.fragment,o),M(Xo.$$.fragment,o),M(Wo.$$.fragment,o),M(Vo.$$.fragment,o),M(Ot.$$.fragment,o),M(yt.$$.fragment,o),M(Qo.$$.fragment,o),M(Ho.$$.fragment,o),M(Bo.$$.fragment,o),M(Jo.$$.fragment,o),M(Et.$$.fragment,o),M(Rt.$$.fragment,o),M(Ft.$$.fragment,o),M(Yo.$$.fragment,o),M(Ko.$$.fragment,o),M(Zo.$$.fragment,o),M(tn.$$.fragment,o),M(zt.$$.fragment,o),M(Pt.$$.fragment,o),M(At.$$.fragment,o),M(on.$$.fragment,o),M(nn.$$.fragment,o),M(sn.$$.fragment,o),M(an.$$.fragment,o),M(Dt.$$.fragment,o),M(Lt.$$.fragment,o),M(Xt.$$.fragment,o),M(ln.$$.fragment,o),M(pn.$$.fragment,o),M(dn.$$.fragment,o),M(Ut.$$.fragment,o),M(Vt.$$.fragment,o),M(Qt.$$.fragment,o),M(Ht.$$.fragment,o),M(cn.$$.fragment,o),M(un.$$.fragment,o),M(hn.$$.fragment,o),M(gn.$$.fragment,o),M(_n.$$.fragment,o),M(Yt.$$.fragment,o),M(Kt.$$.fragment,o),M(Zt.$$.fragment,o),M($n.$$.fragment,o),M(vn.$$.fragment,o),M(wn.$$.fragment,o),M(to.$$.fragment,o),M(oo.$$.fragment,o),M(no.$$.fragment,o),M(xn.$$.fragment,o),Oa=!1},d(o){t(s),o&&t(_),o&&t(d),O(n),o&&t(v),o&&t(E),O(po),o&&t(na),o&&t(F),O(mo),O($o),O(vo),O(wo),O(xo),o&&t(sa),o&&t(Ce),O(bo),o&&t(ra),o&&t(ne),O(To),O(Mo),O(yo),O(lt),O(pt),O(mt),o&&t(aa),o&&t(ze),O(qo),o&&t(ia),o&&t(U),O(jo),O(Ro),O(ct),O(ut),O(ht),o&&t(la),o&&t(Ae),O(Fo),o&&t(pa),o&&t(A),O(Co),O(zo),O(ft),O(_t),O($t),O(Po),o&&t(ma),o&&t(Ie),O(Ao),o&&t(da),o&&t(N),O(No),O(Do),O(wt),O(xt),O(bt),O(Lo),o&&t(ca),o&&t(Le),O(Xo),o&&t(ua),o&&t(I),O(Wo),O(Vo),O(Ot),O(yt),O(Qo),o&&t(ha),o&&t(We),O(Ho),o&&t(ga),o&&t(D),O(Bo),O(Jo),O(Et),O(Rt),O(Ft),O(Yo),o&&t(fa),o&&t(Ve),O(Ko),o&&t(_a),o&&t(V),O(Zo),O(tn),O(zt),O(Pt),O(At),o&&t($a),o&&t(He),O(on),o&&t(va),o&&t(se),O(nn),O(sn),O(an),O(Dt),O(Lt),O(Xt),o&&t(ka),o&&t(Ge),O(ln),o&&t(wa),o&&t(L),O(pn),O(dn),O(Ut),O(Vt),O(Qt),O(Ht),O(cn),o&&t(xa),o&&t(Ye),O(un),o&&t(ba),o&&t(re),O(hn),O(gn),O(_n),O(Yt),O(Kt),O(Zt),o&&t(Ta),o&&t(Ze),O($n),o&&t(Ma),o&&t(X),O(vn),O(wn),O(to),O(oo),O(no),O(xn)}}}const gg={local:"models",sections:[{local:"optimum.onnxruntime.ORTModel",title:"ORTModel"},{local:"optimum.onnxruntime.ORTModelForCausalLM",title:"ORTModelForCausalLM"},{local:"optimum.onnxruntime.ORTModelForCustomTasks",title:"ORTModelForCustomTasks"},{local:"optimum.onnxruntime.ORTModelForFeatureExtraction",title:"ORTModelForFeatureExtraction"},{local:"optimum.onnxruntime.ORTModelForImageClassification",title:"ORTModelForImageClassification"},{local:"optimum.onnxruntime.ORTModelForMultipleChoice",title:"ORTModelForMultipleChoice"},{local:"optimum.onnxruntime.ORTModelForQuestionAnswering",title:"ORTModelForQuestionAnswering"},{local:"optimum.onnxruntime.ORTModelForSemanticSegmentation",title:"ORTModelForSemanticSegmentation"},{local:"optimum.onnxruntime.ORTModelForSeq2SeqLM",title:"ORTModelForSeq2SeqLM"},{local:"optimum.onnxruntime.ORTModelForSequenceClassification",title:"ORTModelForSequenceClassification"},{local:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq",title:"ORTModelForSpeechSeq2Seq"},{local:"optimum.onnxruntime.ORTModelForTokenClassification",title:"ORTModelForTokenClassification"}],title:"Models"};function fg(j){return Sh(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class bg extends Eh{constructor(s){super();Rh(this,s,fg,hg,Fh,{})}}export{bg as default,gg as metadata};
